/dts-v1/;

/ {

	__fixups__ {
		accdet = "/fragment@9:target:0";
		auxadc = "/fragment@43:target:0", "/fragment@44/__overlay__:io-channels:0";
		camera_af_hw_node = "/fragment@34:target:0";
		charger = "/fragment@74:target:0";
		chosen = "/fragment@1:target:0";
		dispsys_config = "/fragment@8:target:0";
		dsi0 = "/fragment@19:target:0";
		dsi_te = "/fragment@63:target:0";
		fusb304 = "/fragment@25:target:0";
		gpio = "/fragment@57:target:0";
		gpio_usage_mapping = "/fragment@56:target:0";
		gps = "/fragment@18:target:0";
		i2c0 = "/fragment@46:target:0";
		i2c1 = "/fragment@47:target:0";
		i2c11 = "/fragment@73:target:0";
		i2c2 = "/fragment@31:target:0", "/fragment@39:target:0", "/fragment@48:target:0";
		i2c3 = "/fragment@49:target:0", "/fragment@77:target:0";
		i2c4 = "/fragment@33:target:0", "/fragment@50:target:0";
		i2c5 = "/fragment@51:target:0";
		i2c6 = "/fragment@26:target:0", "/fragment@40:target:0", "/fragment@52:target:0";
		i2c7 = "/fragment@23:target:0", "/fragment@27:target:0", "/fragment@41:target:0", "/fragment@53:target:0";
		i2c8 = "/fragment@32:target:0", "/fragment@54:target:0";
		i2c9 = "/fragment@37:target:0", "/fragment@55:target:0";
		irtx_pwm = "/fragment@10:target:0";
		kd_camera_hw1 = "/fragment@30:target:0", "/fragment@67:target:0";
		keypad = "/fragment@69:target:0";
		lk_charger = "/fragment@75:target:0";
		md1_sim1_hot_plug_eint = "/fragment@64:target:0";
		md_auxadc = "/fragment@44:target:0";
		mrdump_ext_rst = "/fragment@58:target:0";
		mt6360_ldo = "/fragment@3:target:0";
		mt6360_pmic = "/fragment@13:target:0";
		mt6360_pmu = "/fragment@12:target:0";
		mt6360_typec = "/fragment@14:target:0";
		mt_pmic_vcamio_ldo_reg = "/fragment@30/__overlay__:cam0_vcamio-supply:0", "/fragment@30/__overlay__:cam1_vcamio-supply:0", "/fragment@30/__overlay__:cam2_vcamio-supply:0", "/fragment@30/__overlay__:cam3_vcamio-supply:0", "/fragment@65:target:0", "/fragment@67/__overlay__:vcamio-supply:0", "/fragment@67/__overlay__:vcamio_sub-supply:0", "/fragment@67/__overlay__:vcamio_main2-supply:0", "/fragment@67/__overlay__:vcamaf-supply:0", "/fragment@67/__overlay__:vcamaf_main2-supply:0";
		mt_pmic_vfp_ldo_reg = "/fragment@2/__overlay__/laser:vi53000_pmic-supply:0";
		mt_pmic_vio28_ldo_reg = "/fragment@34/__overlay__:camaf_m2_pmic-supply:0";
		mt_pmic_vmc_ldo_reg = "/fragment@30/__overlay__:cam3_vcama-supply:0";
		mt_pmic_vmch_ldo_reg = "/fragment@4/__overlay__/fingerprint@0:vmch-supply:0";
		mt_pmic_vtp_ldo_reg = "/fragment@66:target:0", "/fragment@68/__overlay__:vtouch-supply:0";
		mtkfb = "/fragment@7:target:0";
		odm = "/fragment@2:target:0", "/fragment@42:target:0", "/fragment@70:target:0", "/fragment@71:target:0", "/fragment@72:target:0";
		pio = "/fragment@2/__overlay__/laser/laser_eint:interrupt-parent:0", "/fragment@2/__overlay__/tran_audio:typec_usb_change_gpio:0", "/fragment@2/__overlay__/fingerprint:interrupt-parent:0", "/fragment@4/__overlay__/fingerprint@0:interrupt-parent:0", "/fragment@4/__overlay__/fingerprint@0:irq-gpio-std:0", "/fragment@4/__overlay__/fingerprint@0:reset-gpio-std:0", "/fragment@5:target:0", "/fragment@6:target:0", "/fragment@11:target:0", "/fragment@12/__overlay__:mt6360,intr_gpio:0", "/fragment@12/__overlay__:mt6360,tc30_dp_gpio:0", "/fragment@12/__overlay__:mt6360,tc30_dm_gpio:0", "/fragment@14/__overlay__:mt6360pd,intr_gpio:0", "/fragment@15:target:0", "/fragment@16:target:0", "/fragment@16/__overlay__/nfc:gpio-rst-std:0", "/fragment@16/__overlay__/nfc:gpio-irq-std:0", "/fragment@16/__overlay__/irq_nfc:interrupt-parent:0", "/fragment@17:target:0", "/fragment@19/__overlay__/panel1@0:vddi-gpios:0", "/fragment@19/__overlay__/panel1@0:vci-gpios:0", "/fragment@19/__overlay__/panel1@0:dvdd-gpios:0", "/fragment@19/__overlay__/panel1@0:avdd-gpios:0", "/fragment@19/__overlay__/panel1@0:reset-gpios:0", "/fragment@20:target:0", "/fragment@22:target:0", "/fragment@23/__overlay__/awinic_haptic@58:reset-gpio:0", "/fragment@23/__overlay__/awinic_haptic@58:irq-gpio:0", "/fragment@28:target:0", "/fragment@29:target:0", "/fragment@35:target:0", "/fragment@36:target:0", "/fragment@37/__overlay__/cwvi5300@6c:xshut-gpio:0", "/fragment@37/__overlay__/cwvi5300@6c:irq-gpio:0", "/fragment@38:target:0", "/fragment@42/__overlay__/vs2pmu:gpio:0", "/fragment@42/__overlay__/LDO7EN:gpio:0", "/fragment@42/__overlay__/LDO6EN:gpio:0", "/fragment@56/__overlay__:GPIO_SIM1_HOT_PLUG:0", "/fragment@56/__overlay__:GPIO_SIM2_SCLK:0", "/fragment@56/__overlay__:GPIO_SIM2_SRST:0", "/fragment@56/__overlay__:GPIO_SIM2_SIO:0", "/fragment@56/__overlay__:GPIO_SIM1_SIO:0", "/fragment@56/__overlay__:GPIO_SIM1_SRST:0", "/fragment@56/__overlay__:GPIO_SIM1_SCLK:0", "/fragment@58/__overlay__:interrupt-parent:0", "/fragment@58/__overlay__:deb-gpios:0", "/fragment@59/__overlay__:interrupt-parent:0", "/fragment@60/__overlay__:interrupt-parent:0", "/fragment@61/__overlay__:interrupt-parent:0", "/fragment@62/__overlay__:interrupt-parent:0", "/fragment@63/__overlay__:interrupt-parent:0", "/fragment@72/__overlay__/usb_switch:rfc,sda8_gpio:0", "/fragment@72/__overlay__/usb_switch:rfc,scl8_gpio:0", "/fragment@77/__overlay__/rt9759_master@66:rt9759,intr-gpios:0";
		pmic_clock_buffer_ctrl = "/fragment@45:target:0";
		ptn36241g = "/fragment@24:target:0";
		reserved_memory = "/fragment@0:target:0";
		smart_pa = "/fragment@62:target:0";
		spi1 = "/fragment@4:target:0";
		subpmic_pmu_eint = "/fragment@60:target:0";
		tcpc_pd = "/fragment@61:target:0";
		touch = "/fragment@21:target:0", "/fragment@59:target:0", "/fragment@68:target:0";
		u2port0 = "/fragment@76:target:0";
	};

	__local_fixups__ {

		fragment@10 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@18 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
			};
		};

		fragment@19 {

			__overlay__ {

				panel1@0 {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				ports {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@2 {

			__overlay__ {

				cml421_ois {
					camois_m1_pmic-supply = <0x0>;
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
				};

				fingerprint {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
				};

				flashlights_aw36515 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
				};

				laser {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
				};

				usb_c_pinctrl {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-10 = <0x0>;
					pinctrl-11 = <0x0>;
					pinctrl-12 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
					pinctrl-6 = <0x0>;
					pinctrl-7 = <0x0>;
					pinctrl-8 = <0x0>;
					pinctrl-9 = <0x0>;
				};
			};
		};

		fragment@21 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
			};
		};

		fragment@24 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
			};
		};

		fragment@25 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
			};
		};

		fragment@30 {

			__overlay__ {
				cam0_vcama-supply = <0x0>;
				cam0_vcamd-supply = <0x0>;
				cam1_vcama-supply = <0x0>;
				cam1_vcamd-supply = <0x0>;
				cam2_vcama-supply = <0x0>;
				cam2_vcamd-supply = <0x0>;
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-10 = <0x0>;
				pinctrl-11 = <0x0>;
				pinctrl-12 = <0x0>;
				pinctrl-13 = <0x0>;
				pinctrl-14 = <0x0>;
				pinctrl-15 = <0x0>;
				pinctrl-16 = <0x0>;
				pinctrl-17 = <0x0>;
				pinctrl-18 = <0x0>;
				pinctrl-19 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-20 = <0x0>;
				pinctrl-21 = <0x0>;
				pinctrl-22 = <0x0>;
				pinctrl-23 = <0x0>;
				pinctrl-24 = <0x0>;
				pinctrl-25 = <0x0>;
				pinctrl-26 = <0x0>;
				pinctrl-27 = <0x0>;
				pinctrl-28 = <0x0>;
				pinctrl-29 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-30 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
				pinctrl-9 = <0x0>;
			};
		};

		fragment@34 {

			__overlay__ {
				camaf_m1_pmic-supply = <0x0>;
			};
		};

		fragment@4 {

			__overlay__ {

				fingerprint@0 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
				};
			};
		};

		fragment@40 {

			__overlay__ {

				et5904@28 {
					VIND-supply = <0x0>;
				};
			};
		};

		fragment@41 {

			__overlay__ {

				et5904@28 {
					VIND-supply = <0x0>;
				};
			};
		};

		fragment@7 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
			};
		};

		fragment@72 {

			__overlay__ {

				tran_battery {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
				};

				usb_switch {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
					pinctrl-6 = <0x0>;
					pinctrl-7 = <0x0>;
				};
			};
		};

		fragment@8 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
			};
		};
	};

	__symbols__ {
		ET5904LDO16 = "/fragment@40/__overlay__/et5904@28/regulators/ET5904LDO16";
		ET5904LDO17 = "/fragment@41/__overlay__/et5904@28/regulators/ET5904LDO17";
		ET5904LDO26 = "/fragment@40/__overlay__/et5904@28/regulators/ET5904LDO26";
		ET5904LDO27 = "/fragment@41/__overlay__/et5904@28/regulators/ET5904LDO27";
		ET5904LDO36 = "/fragment@40/__overlay__/et5904@28/regulators/ET5904LDO36";
		ET5904LDO37 = "/fragment@41/__overlay__/et5904@28/regulators/ET5904LDO37";
		ET5904LDO46 = "/fragment@40/__overlay__/et5904@28/regulators/ET5904LDO46";
		ET5904LDO47 = "/fragment@41/__overlay__/et5904@28/regulators/ET5904LDO47";
		ET5904LDO6EN = "/fragment@42/__overlay__/LDO6EN";
		ET5904LDO7EN = "/fragment@42/__overlay__/LDO7EN";
		c1_active = "/fragment@20/__overlay__/c1_high";
		c1_sleep = "/fragment@20/__overlay__/c1_low";
		c2_active = "/fragment@20/__overlay__/c2_highz";
		c2_sleep = "/fragment@20/__overlay__/c2_low";
		camera_main_af_mtk = "/fragment@48/__overlay__/camera_main_af@0c";
		camera_main_eeprom_mtk = "/fragment@48/__overlay__/camera_main_eeprom@50";
		camera_main_mtk = "/fragment@48/__overlay__/camera_main@1a";
		camera_main_three_af_mtk = "/fragment@55/__overlay__/camera_main_three_af@0c";
		camera_main_two_af_mtk = "/fragment@50/__overlay__/camera_main_two_af@0e";
		camera_main_two_eeprom_mtk = "/fragment@50/__overlay__/camera_main_two_eeprom@51";
		camera_main_two_mtk = "/fragment@50/__overlay__/camera_main_two@10";
		camera_pins_cam0_mclk_2ma = "/fragment@29/__overlay__/camera_pins_cam0_mclk_2ma";
		camera_pins_cam0_mclk_4ma = "/fragment@29/__overlay__/camera_pins_cam0_mclk_4ma";
		camera_pins_cam0_mclk_6ma = "/fragment@29/__overlay__/camera_pins_cam0_mclk_6ma";
		camera_pins_cam0_mclk_8ma = "/fragment@29/__overlay__/camera_pins_cam0_mclk_8ma";
		camera_pins_cam0_mclk_off = "/fragment@29/__overlay__/camera_pins_cam0_mclk_off";
		camera_pins_cam0_rst_0 = "/fragment@29/__overlay__/cam0@0";
		camera_pins_cam0_rst_1 = "/fragment@29/__overlay__/cam0@1";
		camera_pins_cam1_mclk_2ma = "/fragment@29/__overlay__/camera_pins_cam1_mclk_2ma";
		camera_pins_cam1_mclk_4ma = "/fragment@29/__overlay__/camera_pins_cam1_mclk_4ma";
		camera_pins_cam1_mclk_6ma = "/fragment@29/__overlay__/camera_pins_cam1_mclk_6ma";
		camera_pins_cam1_mclk_8ma = "/fragment@29/__overlay__/camera_pins_cam1_mclk_8ma";
		camera_pins_cam1_mclk_off = "/fragment@29/__overlay__/camera_pins_cam1_mclk_off";
		camera_pins_cam1_rst_0 = "/fragment@29/__overlay__/cam1@0";
		camera_pins_cam1_rst_1 = "/fragment@29/__overlay__/cam1@1";
		camera_pins_cam2_mclk_2ma = "/fragment@29/__overlay__/camera_pins_cam2_mclk_2ma";
		camera_pins_cam2_mclk_4ma = "/fragment@29/__overlay__/camera_pins_cam2_mclk_4ma";
		camera_pins_cam2_mclk_6ma = "/fragment@29/__overlay__/camera_pins_cam2_mclk_6ma";
		camera_pins_cam2_mclk_8ma = "/fragment@29/__overlay__/camera_pins_cam2_mclk_8ma";
		camera_pins_cam2_mclk_off = "/fragment@29/__overlay__/camera_pins_cam2_mclk_off";
		camera_pins_cam2_rst_0 = "/fragment@29/__overlay__/cam2@0";
		camera_pins_cam2_rst_1 = "/fragment@29/__overlay__/cam2@1";
		camera_pins_cam3_mclk_2ma = "/fragment@29/__overlay__/camera_pins_cam3_mclk_2ma";
		camera_pins_cam3_mclk_4ma = "/fragment@29/__overlay__/camera_pins_cam3_mclk_4ma";
		camera_pins_cam3_mclk_6ma = "/fragment@29/__overlay__/camera_pins_cam3_mclk_6ma";
		camera_pins_cam3_mclk_8ma = "/fragment@29/__overlay__/camera_pins_cam3_mclk_8ma";
		camera_pins_cam3_mclk_off = "/fragment@29/__overlay__/camera_pins_cam3_mclk_off";
		camera_pins_cam3_pnd_0 = "/fragment@29/__overlay__/cam3@2";
		camera_pins_cam3_pnd_1 = "/fragment@29/__overlay__/cam3@3";
		camera_pins_cam3_rst_0 = "/fragment@29/__overlay__/cam3@0";
		camera_pins_cam3_rst_1 = "/fragment@29/__overlay__/cam3@1";
		camera_pins_default = "/fragment@29/__overlay__/camdefault";
		camera_sub_eeprom_mtk = "/fragment@54/__overlay__/camera_sub_eeprom@51";
		camera_sub_mtk = "/fragment@54/__overlay__/camera_sub@1a";
		camera_sub_two_eeprom_mtk = "/fragment@55/__overlay__/camera_sub_two_eeprom@51";
		camera_sub_two_mtk = "/fragment@55/__overlay__/camera_sub_two@10";
		cap_touch_mtk = "/fragment@46/__overlay__/cap_touch@38";
		cml421_ois = "/fragment@2/__overlay__/cml421_ois";
		cml421_pin_default = "/fragment@38/__overlay__/cml421_default";
		cml421_pin_vdd_off = "/fragment@38/__overlay__/cml421_vdd_low";
		cml421_pin_vdd_on = "/fragment@38/__overlay__/cml421_vdd_high";
		ctp_pins_default = "/fragment@22/__overlay__/ctp_eint0default";
		ctp_pins_eint_as_int = "/fragment@22/__overlay__/ctp_eint@0";
		ctp_pins_eint_output0 = "/fragment@22/__overlay__/ctp_eintoutput0";
		ctp_pins_eint_output1 = "/fragment@22/__overlay__/ctp_eintoutput1";
		ctp_pins_rst_output0 = "/fragment@22/__overlay__/rstoutput0";
		ctp_pins_rst_output1 = "/fragment@22/__overlay__/rstoutput1";
		dp_switch_mtk = "/fragment@52/__overlay__/dp_switch@50";
		dsi_out = "/fragment@19/__overlay__/ports/port/endpoint";
		dv2_usb_switch_pins_default1 = "/fragment@28/__overlay__/dualdefault1";
		dv2_usb_switch_pins_default2 = "/fragment@28/__overlay__/dualdefault2";
		dv2_usb_switch_pins_high1 = "/fragment@28/__overlay__/dv2_high1";
		dv2_usb_switch_pins_high2 = "/fragment@28/__overlay__/dv2_high2";
		dv2_usb_switch_pins_low1 = "/fragment@28/__overlay__/dv2_low1";
		dv2_usb_switch_pins_low2 = "/fragment@28/__overlay__/dv2_low2";
		ext_buck_vmddr_mtk = "/fragment@52/__overlay__/ext_buck_vmddr@61";
		fingerprint = "/fragment@2/__overlay__/fingerprint";
		fingerprint_default = "/fragment@5/__overlay__/fingerprint_default";
		fingerprint_eint = "/fragment@5/__overlay__/gpio15_eint";
		fingerprint_eint_pull_down = "/fragment@5/__overlay__/gpio15_eint_pull_down";
		fingerprint_rst_one = "/fragment@5/__overlay__/rst_out_one";
		fingerprint_rst_zero = "/fragment@5/__overlay__/rst_out_zero";
		fingerprint_spi_default = "/fragment@5/__overlay__/spimode_default";
		flashlights_aw36515 = "/fragment@2/__overlay__/flashlights_aw36515";
		flashlights_aw36515_pins_default = "/fragment@35/__overlay__/aw36515default";
		flashlights_aw36515_pins_hwen_high = "/fragment@35/__overlay__/aw36515hwen_high";
		flashlights_aw36515_pins_hwen_low = "/fragment@35/__overlay__/aw36515hwen_low";
		gpio_meta = "/fragment@28/__overlay__/meta_init";
		gpio_meta_high = "/fragment@28/__overlay__/meta_high";
		gpio_meta_low = "/fragment@28/__overlay__/meta_low";
		gpio_otg = "/fragment@28/__overlay__/otg_init";
		gpio_otg_high = "/fragment@28/__overlay__/otg_high";
		gpio_otg_low = "/fragment@28/__overlay__/otg_low";
		gpio_redriver_c1_high = "/fragment@15/__overlay__/redriver_c1_high";
		gpio_redriver_c1_hiz = "/fragment@15/__overlay__/redriver_c1_highz";
		gpio_redriver_c1_init = "/fragment@15/__overlay__/redriver_c1_init";
		gpio_redriver_c1_low = "/fragment@15/__overlay__/redriver_c1_low";
		gpio_redriver_c2_high = "/fragment@15/__overlay__/redriver_c2_high";
		gpio_redriver_c2_hiz = "/fragment@15/__overlay__/redriver_c2_highz";
		gpio_redriver_c2_init = "/fragment@15/__overlay__/redriver_c2_init";
		gpio_redriver_c2_low = "/fragment@15/__overlay__/redriver_c2_low";
		gpio_u3_switch_disable = "/fragment@15/__overlay__/u3_sw_dis";
		gpio_u3_switch_enable = "/fragment@15/__overlay__/u3_sw_en";
		gpio_u3_switch_sel1 = "/fragment@15/__overlay__/u3_sw_sel1";
		gpio_u3_switch_sel2 = "/fragment@15/__overlay__/u3_sw_sel2";
		gps_l1_lna_pins_dsp_ctrl = "/fragment@17/__overlay__/gps_l1_lna@1";
		gps_l1_lna_pins_oh = "/fragment@17/__overlay__/gps_l1_lna@2";
		gps_l1_lna_pins_ol = "/fragment@17/__overlay__/gps_l1_lna@0";
		gps_l5_lna_pins_dsp_ctrl = "/fragment@17/__overlay__/gps_l5_lna@1";
		gps_l5_lna_pins_oh = "/fragment@17/__overlay__/gps_l5_lna@2";
		gps_l5_lna_pins_ol = "/fragment@17/__overlay__/gps_l5_lna@0";
		gps_pins_default = "/fragment@17/__overlay__/gps_default";
		i2c_lcd_bias_mtk = "/fragment@52/__overlay__/i2c_lcd_bias@3e";
		irq_nfc = "/fragment@16/__overlay__/irq_nfc";
		irtx_gpio_led_default = "/fragment@11/__overlay__/irtx_gpio_led_def@gpio127";
		irtx_gpio_led_set = "/fragment@11/__overlay__/irtx_gpio_led_set@gpio127";
		laser = "/fragment@2/__overlay__/laser";
		laser_eint = "/fragment@2/__overlay__/laser/laser_eint";
		laser_pins_default = "/fragment@36/__overlay__/default";
		laser_pins_default_pins_hwen_high = "/fragment@36/__overlay__/hwen_high";
		laser_pins_default_pins_hwen_low = "/fragment@36/__overlay__/hwen_low";
		laser_pins_default_pins_irq = "/fragment@36/__overlay__/laser_irq";
		laser_pins_dy_pins_hwen_high = "/fragment@36/__overlay__/dy_hwen_high";
		laser_pins_dy_pins_hwen_low = "/fragment@36/__overlay__/dy_hwen_low";
		led0 = "/fragment@2/__overlay__/led@0";
		led1 = "/fragment@2/__overlay__/led@1";
		led2 = "/fragment@2/__overlay__/led@2";
		led3 = "/fragment@2/__overlay__/led@3";
		led4 = "/fragment@2/__overlay__/led@4";
		led5 = "/fragment@2/__overlay__/led@5";
		led6 = "/fragment@2/__overlay__/led@6";
		mtk_camera_eeprom0 = "/fragment@31/__overlay__/camera_eeprom0@50";
		mtk_camera_eeprom1 = "/fragment@32/__overlay__/camera_eeprom1@51";
		mtk_camera_eeprom2 = "/fragment@33/__overlay__/camera_eeprom2@51";
		mtkfb_pins_lcm_avdd0 = "/fragment@6/__overlay__/lcm_avdd0_gpio";
		mtkfb_pins_lcm_avdd1 = "/fragment@6/__overlay__/lcm_avdd1_gpio";
		mtkfb_pins_lcm_dsi_te = "/fragment@6/__overlay__/lcm_dsi_te";
		mtkfb_pins_lcm_dvdd0 = "/fragment@6/__overlay__/lcm_dvdd0_gpio";
		mtkfb_pins_lcm_dvdd1 = "/fragment@6/__overlay__/lcm_dvdd1_gpio";
		mtkfb_pins_lcm_rst_out0_gpio = "/fragment@6/__overlay__/lcm_rst_out0_gpio";
		mtkfb_pins_lcm_rst_out1_gpio = "/fragment@6/__overlay__/lcm_rst_out1_gpio";
		mtkfb_pins_lcm_vci0 = "/fragment@6/__overlay__/lcm_vci0_gpio";
		mtkfb_pins_lcm_vci1 = "/fragment@6/__overlay__/lcm_vci1_gpio";
		mtkfb_pins_lcm_vddi0 = "/fragment@6/__overlay__/lcm_vddi0_gpio";
		mtkfb_pins_lcm_vddi1 = "/fragment@6/__overlay__/lcm_vddi1_gpio";
		nfc = "/fragment@16/__overlay__/nfc";
		nfc_mtk = "/fragment@53/__overlay__/nfc@08";
		panel_in = "/fragment@19/__overlay__/panel1@0/port/endpoint";
		pd_adapter = "/fragment@72/__overlay__/pd_adapter";
		rfc_scl8_pins = "/fragment@28/__overlay__/dv2_i2c_scl8";
		rfc_sda8_pins = "/fragment@28/__overlay__/dv2_i2c_sda8";
		sel_down = "/fragment@20/__overlay__/sel_low";
		sel_up = "/fragment@20/__overlay__/sel_high";
		strobe_main_mtk = "/fragment@53/__overlay__/strobe_main@63";
		subpmic_ldo_mtk = "/fragment@51/__overlay__/subpmic_ldo@64";
		subpmic_mtk = "/fragment@51/__overlay__/subpmic@34";
		subpmic_pmic_mtk = "/fragment@51/__overlay__/subpmic_pmic@1a";
		sw_disable = "/fragment@20/__overlay__/sw_disable";
		sw_enable = "/fragment@20/__overlay__/sw_enable";
		tran_audio = "/fragment@2/__overlay__/tran_audio";
		tran_battery = "/fragment@72/__overlay__/tran_battery";
		tran_battery_aging = "/fragment@72/__overlay__/tran_battery_aging";
		usb_c_pinctrl = "/fragment@2/__overlay__/usb_c_pinctrl";
		usb_default = "/fragment@15/__overlay__/usb_default";
		usb_switch = "/fragment@72/__overlay__/usb_switch";
		usb_type_c_mtk = "/fragment@51/__overlay__/usb_type_c@4e";
		vibrator0 = "/fragment@2/__overlay__/vibrator@0";
		vs2pmu = "/fragment@42/__overlay__/vs2pmu";
		was4780 = "/fragment@27/__overlay__/was4780@42";
	};

	fragment@0 {
		target = <0xffffffff>;

		__overlay__ {
		};
	};

	fragment@1 {
		target = <0xffffffff>;

		__overlay__ {
			atag,videolfb-fb_base_h = <0x0>;
			atag,videolfb-fb_base_l = <0x7e020000>;
			atag,videolfb-fps = <0x1770>;
			atag,videolfb-islcm_inited = <0x0>;
			atag,videolfb-islcmfound = <0x1>;
			atag,videolfb-lcmname = "nt35595_fhd_dsi_cmd_truly_nt50358_drv";
			atag,videolfb-vramSize = <0x1be0000>;
		};
	};

	fragment@10 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x2a>;
			pinctrl-1 = <0x2b>;
			pinctrl-names = "irtx_gpio_led_default", "irtx_gpio_led_set";
			status = "disabled";
		};
	};

	fragment@11 {
		target = <0xffffffff>;

		__overlay__ {

			irtx_gpio_led_def@gpio127 {
				phandle = <0x2a>;

				pins_cmd_dat {
					bias-disable;
					input-schmitt-enable = <0x0>;
					output-low;
					pinmux = <0x7f00>;
					slew-rate = <0x1>;
				};
			};

			irtx_gpio_led_set@gpio127 {
				phandle = <0x2b>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x7f02>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@12 {
		target = <0xffffffff>;

		__overlay__ {
			mt6360,intr_gpio = <0xffffffff 0x18 0x0>;
			mt6360,intr_gpio_num = <0x18>;
			mt6360,tc30_dm_gpio = <0xffffffff 0x1e 0x0>;
			mt6360,tc30_dm_is_low_enabled;
			mt6360,tc30_dp_gpio = <0xffffffff 0x12 0x0>;
			mt6360,tc30_dp_is_low_enabled;
		};
	};

	fragment@13 {
		target = <0xffffffff>;

		__overlay__ {
			pwr_off_seq = <0x4000202>;
		};
	};

	fragment@14 {
		target = <0xffffffff>;

		__overlay__ {
			mt6360pd,intr_gpio = <0xffffffff 0x19 0x0>;
			mt6360pd,intr_gpio_num = <0x19>;

			pd-data {
				pd,sink-pdo-data = <0x190c8>;
				pd,sink-pdo-size = <0x1>;
				pd,source-pdo-data = <0x19032>;
				pd,source-pdo-size = <0x1>;
			};
		};
	};

	fragment@15 {
		target = <0xffffffff>;

		__overlay__ {

			redriver_c1_high {
				phandle = <0x12>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x7100>;
					slew-rate = <0x1>;
				};
			};

			redriver_c1_highz {
				phandle = <0x11>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x7100>;
					slew-rate = <0x0>;
				};
			};

			redriver_c1_init {
				phandle = <0xf>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x7100>;
					slew-rate = <0x1>;
				};
			};

			redriver_c1_low {
				phandle = <0x10>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x7100>;
					slew-rate = <0x1>;
				};
			};

			redriver_c2_high {
				phandle = <0x16>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x7000>;
					slew-rate = <0x1>;
				};
			};

			redriver_c2_highz {
				phandle = <0x15>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x7000>;
					slew-rate = <0x0>;
				};
			};

			redriver_c2_init {
				phandle = <0x13>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x7000>;
					slew-rate = <0x1>;
				};
			};

			redriver_c2_low {
				phandle = <0x14>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x7000>;
					slew-rate = <0x1>;
				};
			};

			u3_sw_dis {
				phandle = <0x1a>;
			};

			u3_sw_en {
				phandle = <0x19>;
			};

			u3_sw_sel1 {
				phandle = <0x17>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6f00>;
					slew-rate = <0x1>;
				};
			};

			u3_sw_sel2 {
				phandle = <0x18>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6f00>;
					slew-rate = <0x1>;
				};
			};

			usb_default {
				phandle = <0xe>;
			};
		};
	};

	fragment@16 {
		target = <0xffffffff>;

		__overlay__ {

			irq_nfc {
				compatible = "mediatek,irq_nfc-eint";
				interrupt-parent = <0xffffffff>;
				interrupts = <0xb 0x4 0xb 0x0>;
				phandle = <0x89>;
				status = "okay";
			};

			nfc {
				compatible = "mediatek,nfc-gpio-v2";
				gpio-irq = <0xb>;
				gpio-irq-std = <0xffffffff 0xb 0x0>;
				gpio-rst = <0xd>;
				gpio-rst-std = <0xffffffff 0xd 0x0>;
				phandle = <0x88>;
			};
		};
	};

	fragment@17 {
		target = <0xffffffff>;

		__overlay__ {

			gps_default {
				phandle = <0x2c>;
			};

			gps_l1_lna@0 {
				phandle = <0x2d>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xa200>;
				};
			};

			gps_l1_lna@1 {
				phandle = <0x2e>;

				pins_cmd_dat {
					pinmux = <0xa202>;
				};
			};

			gps_l1_lna@2 {
				phandle = <0x2f>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xa200>;
				};
			};

			gps_l5_lna@0 {
				phandle = <0x30>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xa300>;
				};
			};

			gps_l5_lna@1 {
				phandle = <0x31>;

				pins_cmd_dat {
					pinmux = <0xa302>;
				};
			};

			gps_l5_lna@2 {
				phandle = <0x32>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xa300>;
				};
			};
		};
	};

	fragment@18 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x2c>;
			pinctrl-1 = <0x2d>;
			pinctrl-2 = <0x2e>;
			pinctrl-3 = <0x2f>;
			pinctrl-4 = <0x30>;
			pinctrl-5 = <0x31>;
			pinctrl-6 = <0x32>;
			pinctrl-names = "default", "gps_l1_lna_disable", "gps_l1_lna_dsp_ctrl", "gps_l1_lna_enable", "gps_l5_lna_disable", "gps_l5_lna_dsp_ctrl", "gps_l5_lna_enable";
			status = "okay";
		};
	};

	fragment@19 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			status = "okay";

			panel1@0 {
				avdd-gpios = <0xffffffff 0x1d 0x0>;
				compatible = "nt37703,fhdp,dsi,vdo,tm,panda,ck9n";
				dvdd-gpios = <0xffffffff 0x13 0x0>;
				pinctrl-names = "default";
				reg = <0x0>;
				reset-gpios = <0xffffffff 0x2a 0x0>;
				vci-gpios = <0xffffffff 0x25 0x0>;
				vddi-gpios = <0xffffffff 0x93 0x0>;

				port {

					endpoint {
						phandle = <0x34>;
						remote-endpoint = <0x33>;
					};
				};
			};

			ports {

				port {

					endpoint {
						phandle = <0x33>;
						remote-endpoint = <0x34>;
					};
				};
			};
		};
	};

	fragment@2 {
		target = <0xffffffff>;

		__overlay__ {

			cml421_ois {
				camois_m1_pmic-supply = <0xd>;
				compatible = "mediatek,cml421_ois";
				phandle = <0x7a>;
				pinctrl-0 = <0xa>;
				pinctrl-1 = <0xb>;
				pinctrl-2 = <0xc>;
				pinctrl-names = "cml421_default", "cml421_vdd_high", "cml421_vdd_low";
				status = "okay";
			};

			fingerprint {
				compatible = "tran_fp";
				debounce = <0xf 0x0>;
				interrupt-parent = <0xffffffff>;
				interrupts = <0xf 0x1 0xf 0x0>;
				phandle = <0x85>;
				pinctrl-0 = <0x1b>;
				pinctrl-1 = <0x1c>;
				pinctrl-2 = <0x1d>;
				pinctrl-3 = <0x1e>;
				pinctrl-4 = <0x1f>;
				pinctrl-names = "tran_fp_default", "tran_fp_pin_irq", "tran_fp_irq_pull_down", "tran_fp_reset_high", "tran_fp_reset_low";
				status = "okay";
			};

			flashlights_aw36515 {
				compatible = "mediatek,flashlights_aw36515";
				phandle = <0x77>;
				pinctrl-0 = <0x1>;
				pinctrl-1 = <0x2>;
				pinctrl-2 = <0x3>;
				pinctrl-names = "aw36515default", "aw36515hwen_high", "aw36515hwen_low";
				status = "okay";
			};

			laser {
				compatible = "mediatek,laser";
				phandle = <0x78>;
				pinctrl-0 = <0x4>;
				pinctrl-1 = <0x5>;
				pinctrl-2 = <0x6>;
				pinctrl-3 = <0x7>;
				pinctrl-4 = <0x8>;
				pinctrl-5 = <0x9>;
				pinctrl-names = "default", "dy_hwen_high", "dy_hwen_low", "hwen_high", "hwen_low", "laser_irq";
				status = "okay";
				vi53000_pmic-supply = <0xffffffff>;

				laser_eint {
					interrupt-parent = <0xffffffff>;
					interrupts = <0xa 0x8 0xa 0x0>;
					phandle = <0x79>;
					status = "okay";
				};
			};

			led@0 {
				compatible = "mediatek,red";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x7b>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@1 {
				compatible = "mediatek,green";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x7c>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@2 {
				compatible = "mediatek,blue";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x7d>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@3 {
				compatible = "mediatek,jogball-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x7e>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@4 {
				compatible = "mediatek,keyboard-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x7f>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@5 {
				compatible = "mediatek,button-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x80>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@6 {
				compatible = "mediatek,lcd-backlight";
				data = <0x1>;
				led_mode = <0x4>;
				phandle = <0x81>;
				pwm_config = <0x0 0x1 0x0 0x0 0x0>;
			};

			tran_audio {
				compatible = "tran_audio,audio";
				phandle = <0x84>;
				typec_usb_change_gpio = <0xffffffff 0x27 0x0>;
			};

			usb_c_pinctrl {
				compatible = "mediatek,usb_c_pinctrl";
				phandle = <0x83>;
				pinctrl-0 = <0xe>;
				pinctrl-1 = <0xf>;
				pinctrl-10 = <0x18>;
				pinctrl-11 = <0x19>;
				pinctrl-12 = <0x1a>;
				pinctrl-2 = <0x10>;
				pinctrl-3 = <0x11>;
				pinctrl-4 = <0x12>;
				pinctrl-5 = <0x13>;
				pinctrl-6 = <0x14>;
				pinctrl-7 = <0x15>;
				pinctrl-8 = <0x16>;
				pinctrl-9 = <0x17>;
				pinctrl-names = "usb_default", "redrv_c1_init", "redrv_c1_low", "redrv_c1_hiz", "redrv_c1_high", "redrv_c2_init", "redrv_c2_low", "redrv_c2_hiz", "redrv_c2_high", "switch_sel1", "switch_sel2", "switch_enable", "switch_disable";
				status = "okay";

				usb_switch-data {
					c1_pin_num = <0x71>;
					c1_pin_val = <0x2>;
					c2_pin_num = <0x70>;
					c2_pin_val = <0x1>;
					en_pin_num = <0x0>;
					en_pin_val = <0x0>;
					sel_pin_num = <0x6f>;
					sel_pin_val = <0x1>;
				};
			};

			vibrator@0 {
				compatible = "mediatek,vibrator";
				phandle = <0x82>;
				vib_limit = <0x9>;
				vib_timer = <0x19>;
				vib_vol = <0x9>;
			};
		};
	};

	fragment@20 {
		target = <0xffffffff>;

		__overlay__ {

			c1_high {
				phandle = <0x3b>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x7100>;
				};
			};

			c1_low {
				phandle = <0x3c>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x7100>;
				};
			};

			c2_highz {
				phandle = <0x3d>;

				pins_cmd_dat {
					bias-disable;
					input-enable;
					pinmux = <0x7000>;
				};
			};

			c2_low {
				phandle = <0x3e>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x7000>;
				};
			};

			sel_high {
				phandle = <0x3f>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6f00>;
				};
			};

			sel_low {
				phandle = <0x40>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6f00>;
				};
			};

			sw_disable {
				phandle = <0x42>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6e00>;
				};
			};

			sw_enable {
				phandle = <0x41>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6e00>;
				};
			};
		};
	};

	fragment@21 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,touch";
			pinctrl-0 = <0x35>;
			pinctrl-1 = <0x36>;
			pinctrl-2 = <0x37>;
			pinctrl-3 = <0x38>;
			pinctrl-4 = <0x39>;
			pinctrl-5 = <0x3a>;
			pinctrl-names = "default", "state_eint_as_int", "state_eint_output0", "state_eint_output1", "state_rst_output0", "state_rst_output1";
			status = "okay";
			tpd-filter-custom-prameters = <0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			tpd-filter-custom-speed = <0x0 0x0 0x0>;
			tpd-filter-enable = <0x0>;
			tpd-filter-pixel-density = <0xa8>;
			tpd-key-dim-local = <0x5a 0x373 0x64 0x28 0xe6 0x373 0x64 0x28 0x172 0x373 0x64 0x28 0x0 0x0 0x0 0x0>;
			tpd-key-local = <0x8b 0xac 0x9e 0x0>;
			tpd-key-num = <0x3>;
			tpd-max-touch-num = <0xa>;
			tpd-resolution = <0x438 0x960>;
			use-tpd-button = <0x0>;
		};
	};

	fragment@22 {
		target = <0xffffffff>;

		__overlay__ {

			ctp_eint0default {
				phandle = <0x35>;
			};

			ctp_eint@0 {
				phandle = <0x36>;

				pins_cmd_dat {
					pinmux = <0x1500>;
					slew-rate = <0x0>;
				};
			};

			ctp_eintoutput0 {
				phandle = <0x37>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1500>;
					slew-rate = <0x1>;
				};
			};

			ctp_eintoutput1 {
				phandle = <0x38>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1500>;
					slew-rate = <0x1>;
				};
			};

			rstoutput0 {
				phandle = <0x39>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1400>;
					slew-rate = <0x1>;
				};
			};

			rstoutput1 {
				phandle = <0x3a>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1400>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@23 {
		target = <0xffffffff>;

		__overlay__ {

			awinic_haptic@58 {
				aw8622x_i2c_addr = <0x58>;
				aw8622x_vib_cont_bemf_set = <0x2>;
				aw8622x_vib_cont_brk_gain = <0x8>;
				aw8622x_vib_cont_brk_time = <0x6>;
				aw8622x_vib_cont_drv1_lvl = <0x7f>;
				aw8622x_vib_cont_drv1_time = <0x4>;
				aw8622x_vib_cont_drv2_lvl = <0x36>;
				aw8622x_vib_cont_drv2_time = <0x14>;
				aw8622x_vib_cont_drv_width = <0x6a>;
				aw8622x_vib_cont_track_margin = <0x12>;
				aw8622x_vib_cont_tset = <0x6>;
				aw8622x_vib_cont_wait_num = <0x6>;
				aw8622x_vib_d2s_gain = <0x5>;
				aw8622x_vib_duration_time = <0x1e 0x3c 0x5a>;
				aw8622x_vib_f0_cali_percen = <0x7>;
				aw8622x_vib_f0_pre = <0x92e>;
				aw8622x_vib_is_enabled_auto_bst;
				aw8622x_vib_lk_f0_cali = <0x0>;
				aw8622x_vib_mode = <0x0>;
				aw8622x_vib_prctmode = <0x2d 0x3e 0x3f>;
				aw8622x_vib_sine_array = <0x5 0xb2 0xff 0xef>;
				aw8622x_vib_trig_config = <0x1 0x0 0x1 0x1 0x1 0x2 0x0 0x1 0x0 0x0 0x1 0x0 0x2 0x0 0x1 0x0 0x0 0x1 0x0 0x2 0x0>;
				compatible = "awinic,awinic_haptic";
				irq-gpio = <0xffffffff 0x10 0x0>;
				reg = <0x58>;
				reset-gpio = <0xffffffff 0x1f 0x0>;
				status = "okay";
			};
		};
	};

	fragment@24 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x3b>;
			pinctrl-1 = <0x3c>;
			pinctrl-2 = <0x3d>;
			pinctrl-3 = <0x3e>;
			pinctrl-names = "c1_active", "c1_sleep", "c2_active", "c2_sleep";
			status = "okay";
		};
	};

	fragment@25 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x3f>;
			pinctrl-1 = <0x40>;
			pinctrl-2 = <0x41>;
			pinctrl-3 = <0x42>;
			pinctrl-names = "sel_up", "sel_down", "enable", "disable";
			status = "okay";
		};
	};

	fragment@26 {
		target = <0xffffffff>;

		__overlay__ {

			aw87xxx_pa@58 {
				compatible = "awinic,aw87xxx_pa";
				dev_index = <0x0>;
				reg = <0x58>;
				status = "okay";
			};

			aw87xxx_pa@59 {
				compatible = "awinic,aw87xxx_pa";
				dev_index = <0x1>;
				reg = <0x59>;
				status = "okay";
			};
		};
	};

	fragment@27 {
		target = <0xffffffff>;

		__overlay__ {

			was4780@42 {
				compatible = "mediatek,was4780-audioswitch";
				phandle = <0x8a>;
				reg = <0x42>;
				status = "ok";
			};
		};
	};

	fragment@28 {
		target = <0xffffffff>;

		__overlay__ {

			dualdefault1 {
				phandle = <0x6f>;
			};

			dualdefault2 {
				phandle = <0x74>;
			};

			dv2_high1 {
				phandle = <0x70>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1200>;
					slew-rate = <0x1>;
				};
			};

			dv2_high2 {
				phandle = <0x75>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1e00>;
					slew-rate = <0x1>;
				};
			};

			dv2_i2c_scl8 {
				phandle = <0x73>;

				pins_cmd_dat {
					pinmux = <0x7e05>;
				};
			};

			dv2_i2c_sda8 {
				phandle = <0x72>;

				pins_cmd_dat {
					pinmux = <0x7f05>;
				};
			};

			dv2_low1 {
				phandle = <0x71>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1200>;
					slew-rate = <0x1>;
				};
			};

			dv2_low2 {
				phandle = <0x76>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1e00>;
					slew-rate = <0x1>;
				};
			};

			meta_high {
				phandle = <0x6e>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x5e00>;
					slew-rate = <0x1>;
				};
			};

			meta_init {
				phandle = <0x6c>;

				pins_cmd_dat {
					pinmux = <0x5e00>;
					slew-rate = <0x1>;
				};
			};

			meta_low {
				phandle = <0x6d>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x5e00>;
					slew-rate = <0x1>;
				};
			};

			otg_high {
				phandle = <0x6b>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x5f00>;
					slew-rate = <0x1>;
				};
			};

			otg_init {
				phandle = <0x69>;

				pins_cmd_dat {
					pinmux = <0x5f00>;
					slew-rate = <0x1>;
				};
			};

			otg_low {
				phandle = <0x6a>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x5f00>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@29 {
		target = <0xffffffff>;

		__overlay__ {

			cam0@0 {
				phandle = <0x44>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9000>;
					slew-rate = <0x1>;
				};
			};

			cam0@1 {
				phandle = <0x45>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9000>;
					slew-rate = <0x1>;
				};
			};

			cam1@0 {
				phandle = <0x46>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9100>;
					slew-rate = <0x1>;
				};
			};

			cam1@1 {
				phandle = <0x47>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9100>;
					slew-rate = <0x1>;
				};
			};

			cam2@0 {
				phandle = <0x48>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x8f00>;
					slew-rate = <0x1>;
				};
			};

			cam2@1 {
				phandle = <0x49>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x8f00>;
					slew-rate = <0x1>;
				};
			};

			cam3@0 {
				phandle = <0x4a>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x8200>;
					slew-rate = <0x1>;
				};
			};

			cam3@1 {
				phandle = <0x4b>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x8200>;
					slew-rate = <0x1>;
				};
			};

			cam3@2 {
				phandle = <0x60>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x8500>;
					slew-rate = <0x1>;
				};
			};

			cam3@3 {
				phandle = <0x61>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x8500>;
					slew-rate = <0x1>;
				};
			};

			camdefault {
				phandle = <0x43>;
			};

			camera_pins_cam0_mclk_2ma {
				phandle = <0x4d>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x9601>;
				};
			};

			camera_pins_cam0_mclk_4ma {
				phandle = <0x4e>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9601>;
				};
			};

			camera_pins_cam0_mclk_6ma {
				phandle = <0x4f>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x9601>;
				};
			};

			camera_pins_cam0_mclk_8ma {
				phandle = <0x50>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x9601>;
				};
			};

			camera_pins_cam0_mclk_off {
				phandle = <0x4c>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9600>;
				};
			};

			camera_pins_cam1_mclk_2ma {
				phandle = <0x52>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x8a01>;
				};
			};

			camera_pins_cam1_mclk_4ma {
				phandle = <0x53>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8a01>;
				};
			};

			camera_pins_cam1_mclk_6ma {
				phandle = <0x54>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x8a01>;
				};
			};

			camera_pins_cam1_mclk_8ma {
				phandle = <0x55>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x8a01>;
				};
			};

			camera_pins_cam1_mclk_off {
				phandle = <0x51>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8a00>;
				};
			};

			camera_pins_cam2_mclk_2ma {
				phandle = <0x57>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x8901>;
				};
			};

			camera_pins_cam2_mclk_4ma {
				phandle = <0x58>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8901>;
				};
			};

			camera_pins_cam2_mclk_6ma {
				phandle = <0x59>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x8901>;
				};
			};

			camera_pins_cam2_mclk_8ma {
				phandle = <0x5a>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x8901>;
				};
			};

			camera_pins_cam2_mclk_off {
				phandle = <0x56>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8900>;
				};
			};

			camera_pins_cam3_mclk_2ma {
				phandle = <0x5c>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x8801>;
				};
			};

			camera_pins_cam3_mclk_4ma {
				phandle = <0x5d>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8801>;
				};
			};

			camera_pins_cam3_mclk_6ma {
				phandle = <0x5e>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x8801>;
				};
			};

			camera_pins_cam3_mclk_8ma {
				phandle = <0x5f>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x8801>;
				};
			};

			camera_pins_cam3_mclk_off {
				phandle = <0x5b>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8800>;
				};
			};
		};
	};

	fragment@3 {
		target = <0xffffffff>;

		__overlay__ {
			sdcard_det_en = <0x0>;
			sdcard_hlact = <0x1>;

			ldo5 {
				regulator-max-microvolt = <0x325aa0>;
				regulator-min-microvolt = <0x2ab980>;
			};
		};
	};

	fragment@30 {
		target = <0xffffffff>;

		__overlay__ {
			cam0_enable_sensor = "s5kgnx_mipi_raw";
			cam0_vcama-supply = <0x62>;
			cam0_vcamd-supply = <0x63>;
			cam0_vcamio-supply = <0xffffffff>;
			cam1_enable_sensor = "s5kgd2sp_mipi_raw";
			cam1_vcama-supply = <0x64>;
			cam1_vcamd-supply = <0x65>;
			cam1_vcamio-supply = <0xffffffff>;
			cam2_enable_sensor = "s5khm6sxwide_mipi_raw";
			cam2_vcama-supply = <0x66>;
			cam2_vcamd-supply = <0x67>;
			cam2_vcamio-supply = <0xffffffff>;
			cam3_enable_sensor = "gc02m1_mipi_raw";
			cam3_vcama-supply = <0xffffffff>;
			cam3_vcamio-supply = <0xffffffff>;
			pinctrl-0 = <0x43>;
			pinctrl-1 = <0x44>;
			pinctrl-10 = <0x4d>;
			pinctrl-11 = <0x4e>;
			pinctrl-12 = <0x4f>;
			pinctrl-13 = <0x50>;
			pinctrl-14 = <0x51>;
			pinctrl-15 = <0x52>;
			pinctrl-16 = <0x53>;
			pinctrl-17 = <0x54>;
			pinctrl-18 = <0x55>;
			pinctrl-19 = <0x56>;
			pinctrl-2 = <0x45>;
			pinctrl-20 = <0x57>;
			pinctrl-21 = <0x58>;
			pinctrl-22 = <0x59>;
			pinctrl-23 = <0x5a>;
			pinctrl-24 = <0x5b>;
			pinctrl-25 = <0x5c>;
			pinctrl-26 = <0x5d>;
			pinctrl-27 = <0x5e>;
			pinctrl-28 = <0x5f>;
			pinctrl-29 = <0x60>;
			pinctrl-3 = <0x46>;
			pinctrl-30 = <0x61>;
			pinctrl-4 = <0x47>;
			pinctrl-5 = <0x48>;
			pinctrl-6 = <0x49>;
			pinctrl-7 = <0x4a>;
			pinctrl-8 = <0x4b>;
			pinctrl-9 = <0x4c>;
			pinctrl-names = "default", "cam0_rst0", "cam0_rst1", "cam1_rst0", "cam1_rst1", "cam2_rst0", "cam2_rst1", "cam3_rst0", "cam3_rst1", "cam0_mclk_off", "cam0_mclk_2mA", "cam0_mclk_4mA", "cam0_mclk_6mA", "cam0_mclk_8mA", "cam1_mclk_off", "cam1_mclk_2mA", "cam1_mclk_4mA", "cam1_mclk_6mA", "cam1_mclk_8mA", "cam2_mclk_off", "cam2_mclk_2mA", "cam2_mclk_4mA", "cam2_mclk_6mA", "cam2_mclk_8mA", "cam3_mclk_off", "cam3_mclk_2mA", "cam3_mclk_4mA", "cam3_mclk_6mA", "cam3_mclk_8mA", "cam3_pnd0", "cam3_pnd1";
			status = "okay";
		};
	};

	fragment@31 {
		target = <0xffffffff>;

		__overlay__ {

			camera_eeprom0@50 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0x8b>;
				reg = <0x50>;
				status = "okay";
			};
		};
	};

	fragment@32 {
		target = <0xffffffff>;

		__overlay__ {

			camera_eeprom1@51 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0x8c>;
				reg = <0x51>;
				status = "okay";
			};
		};
	};

	fragment@33 {
		target = <0xffffffff>;

		__overlay__ {

			camera_eeprom2@51 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0x8d>;
				reg = <0x51>;
				status = "okay";
			};
		};
	};

	fragment@34 {
		target = <0xffffffff>;

		__overlay__ {
			camaf_m1_pmic-supply = <0xd>;
			camaf_m2_pmic-supply = <0xffffffff>;
			status = "okay";
		};
	};

	fragment@35 {
		target = <0xffffffff>;

		__overlay__ {

			aw36515default {
				phandle = <0x1>;
			};

			aw36515hwen_high {
				phandle = <0x2>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x8000>;
					slew-rate = <0x1>;
				};
			};

			aw36515hwen_low {
				phandle = <0x3>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x8000>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@36 {
		target = <0xffffffff>;

		__overlay__ {

			default {
				phandle = <0x4>;
			};

			dy_hwen_high {
				phandle = <0x5>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9500>;
					slew-rate = <0x1>;
				};
			};

			dy_hwen_low {
				phandle = <0x6>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9500>;
					slew-rate = <0x1>;
				};
			};

			hwen_high {
				phandle = <0x7>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x8600>;
					slew-rate = <0x1>;
				};
			};

			hwen_low {
				phandle = <0x8>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x8600>;
					slew-rate = <0x1>;
				};
			};

			laser_irq {
				phandle = <0x9>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0xa00>;
					slew-rate = <0x0>;
				};
			};
		};
	};

	fragment@37 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			cwvi5300@6c {
				compatible = "cw,cwvi5300";
				irq-gpio = <0xffffffff 0xa 0x0>;
				reg = <0x6c>;
				status = "okay";
				xshut-gpio = <0xffffffff 0x86 0x0>;
			};
		};
	};

	fragment@38 {
		target = <0xffffffff>;

		__overlay__ {

			cml421_default {
				phandle = <0xa>;
			};

			cml421_vdd_high {
				phandle = <0xb>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9400>;
				};
			};

			cml421_vdd_low {
				phandle = <0xc>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9400>;
				};
			};
		};
	};

	fragment@39 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			cml421_ois@60 {
				compatible = "mediatek,cml421_ois";
				reg = <0x60>;
				status = "okay";
			};
		};
	};

	fragment@4 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint@0 {
				compatible = "tran_fp";
				debounce = <0xf 0x0>;
				goodix;
				interrupt-parent = <0xffffffff>;
				interrupts = <0xf 0x1 0xf 0x0>;
				irq-gpio = <0xf>;
				irq-gpio-std = <0xffffffff 0xf 0x0>;
				pinctrl-0 = <0x1b>;
				pinctrl-1 = <0x1c>;
				pinctrl-2 = <0x1d>;
				pinctrl-3 = <0x1e>;
				pinctrl-4 = <0x1f>;
				pinctrl-5 = <0x20>;
				pinctrl-names = "tran_fp_default", "tran_fp_pin_irq", "tran_fp_irq_pull_down", "tran_fp_reset_high", "tran_fp_reset_low", "tran_fp_spi_default";
				reg = <0x0>;
				reset-gpio = <0xe>;
				reset-gpio-std = <0xffffffff 0xe 0x0>;
				spi-max-frequency = <0x2160ec0>;
				status = "okay";
				vmch-supply = <0xffffffff>;
			};
		};
	};

	fragment@40 {
		target = <0xffffffff>;

		__overlay__ {

			et5904@28 {
				VIND-supply = <0x68>;
				compatible = "tran,et5904";
				reg = <0x28>;

				regulators {

					ET5904LDO16 {
						phandle = <0x63>;
						regulator-max-microvolt = <0x1b7740>;
						regulator-min-microvolt = <0x927c0>;
						regulator-name = "ET5904LDO16";
					};

					ET5904LDO26 {
						phandle = <0x8e>;
						regulator-max-microvolt = <0x1b7740>;
						regulator-min-microvolt = <0x927c0>;
						regulator-name = "ET5904LDO26";
					};

					ET5904LDO36 {
						phandle = <0x62>;
						regulator-max-microvolt = <0x325aa0>;
						regulator-min-microvolt = <0x124f80>;
						regulator-name = "ET5904LDO36";
					};

					ET5904LDO46 {
						phandle = <0xd>;
						regulator-max-microvolt = <0x3010b0>;
						regulator-min-microvolt = <0x3010b0>;
						regulator-name = "ET5904LDO46";
					};
				};
			};
		};
	};

	fragment@41 {
		target = <0xffffffff>;

		__overlay__ {

			et5904@28 {
				VIND-supply = <0x68>;
				compatible = "tran,et5904";
				reg = <0x28>;

				regulators {

					ET5904LDO17 {
						phandle = <0x67>;
						regulator-max-microvolt = <0xf4a10>;
						regulator-min-microvolt = <0xf4a10>;
						regulator-name = "ET5904LDO17";
					};

					ET5904LDO27 {
						phandle = <0x65>;
						regulator-max-microvolt = <0xf4a10>;
						regulator-min-microvolt = <0xf4a10>;
						regulator-name = "ET5904LDO27";
					};

					ET5904LDO37 {
						phandle = <0x66>;
						regulator-max-microvolt = <0x325aa0>;
						regulator-min-microvolt = <0x124f80>;
						regulator-name = "ET5904LDO37";
					};

					ET5904LDO47 {
						phandle = <0x64>;
						regulator-max-microvolt = <0x325aa0>;
						regulator-min-microvolt = <0x124f80>;
						regulator-name = "ET5904LDO47";
					};
				};
			};
		};
	};

	fragment@42 {
		target = <0xffffffff>;

		__overlay__ {

			LDO6EN {
				compatible = "regulator-fixed";
				enable-active-low;
				gpio = <0xffffffff 0x92 0x0>;
				phandle = <0x90>;
				regulator-always-on;
				regulator-boot-on;
				regulator-max-microvolt = <0x1b7740>;
				regulator-min-microvolt = <0x1b7740>;
				regulator-name = "et5904en6";
			};

			LDO7EN {
				compatible = "regulator-fixed";
				enable-active-low;
				gpio = <0xffffffff 0x20 0x0>;
				phandle = <0x8f>;
				regulator-always-on;
				regulator-boot-on;
				regulator-max-microvolt = <0x1b7740>;
				regulator-min-microvolt = <0x1b7740>;
				regulator-name = "et5904en7";
			};

			vs2pmu {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0x1b 0x0>;
				phandle = <0x68>;
				regulator-max-microvolt = <0x1b7740>;
				regulator-min-microvolt = <0x1b7740>;
				regulator-name = "vs2pmu";
			};
		};
	};

	fragment@43 {
		target = <0xffffffff>;

		__overlay__ {

			adc_channel@ {
				compatible = "mediatek,adc_channel";
				mediatek,adc_fdd_rf_params_dynamic_custom_ch = <0x5>;
				mediatek,temperature0 = <0x0>;
				mediatek,temperature1 = <0x1>;
				status = "okay";
			};
		};
	};

	fragment@44 {
		target = <0xffffffff>;

		__overlay__ {
			io-channels = <0xffffffff 0x5>;
		};
	};

	fragment@45 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,clkbuf-config = <0x2 0x1 0x1 0x2 0x0 0x0 0x1>;
			mediatek,clkbuf-controls-for-desense = <0x0 0x4 0x0 0x4 0x0 0x0 0x0>;
			mediatek,clkbuf-output-impedance = <0x3 0x4 0x3 0x4 0x0 0x0 0x3>;
			mediatek,clkbuf-quantity = <0x7>;
			status = "okay";
		};
	};

	fragment@46 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			cap_touch@38 {
				compatible = "mediatek,cap_touch";
				phandle = <0x91>;
				reg = <0x38>;
				status = "okay";
			};
		};
	};

	fragment@47 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@48 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main@1a {
				compatible = "mediatek,camera_main";
				phandle = <0x92>;
				reg = <0x1a>;
				status = "okay";
			};

			camera_main_af@0c {
				compatible = "mediatek,camera_main_af";
				phandle = <0x94>;
				reg = <0xc>;
				status = "okay";
			};

			camera_main_eeprom@50 {
				compatible = "mediatek,camera_main_eeprom";
				phandle = <0x93>;
				reg = <0x50>;
				status = "okay";
			};
		};
	};

	fragment@49 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@5 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint_default {
				phandle = <0x1b>;
			};

			gpio15_eint {
				phandle = <0x1c>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0xf00>;
					slew-rate = <0x0>;
				};
			};

			gpio15_eint_pull_down {
				phandle = <0x1d>;

				pins_cmd_dat {
					bias-pull-down = <0x0>;
					output-low;
					pinmux = <0xf00>;
					slew-rate = <0x0>;
				};
			};

			rst_out_one {
				phandle = <0x1e>;

				pins_cmd_dat {
					bias-disable;
					output-high;
					pinmux = <0xe00>;
					slew-rate = <0x1>;
				};
			};

			rst_out_zero {
				phandle = <0x1f>;

				pins_cmd_dat {
					bias-disable;
					output-low;
					pinmux = <0xe00>;
					slew-rate = <0x1>;
				};
			};

			spimode_default {
				phandle = <0x20>;

				pins_cmd_dat {
					drive-strength = <0x7>;
					pinmux = <0x9c01 0x9d01 0x9e01 0x9f01>;
				};
			};
		};
	};

	fragment@50 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main_two@10 {
				compatible = "mediatek,camera_main_two";
				phandle = <0x95>;
				reg = <0x10>;
				status = "okay";
			};

			camera_main_two_af@0e {
				compatible = "mediatek,camera_main_two_af";
				phandle = <0x97>;
				reg = <0xe>;
				status = "okay";
			};

			camera_main_two_eeprom@51 {
				compatible = "mediatek,camera_main_two_eeprom";
				phandle = <0x96>;
				reg = <0x51>;
				status = "okay";
			};
		};
	};

	fragment@51 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			subpmic@34 {
				compatible = "mediatek,subpmic";
				phandle = <0x98>;
				reg = <0x34>;
				status = "okay";
			};

			subpmic_ldo@64 {
				compatible = "mediatek,subpmic_ldo";
				phandle = <0x9b>;
				reg = <0x64>;
				status = "okay";
			};

			subpmic_pmic@1a {
				compatible = "mediatek,subpmic_pmic";
				phandle = <0x9a>;
				reg = <0x1a>;
				status = "okay";
			};

			usb_type_c@4e {
				compatible = "mediatek,usb_type_c";
				phandle = <0x99>;
				reg = <0x4e>;
				status = "okay";
			};
		};
	};

	fragment@52 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			dp_switch@50 {
				compatible = "mediatek,dp_switch";
				phandle = <0x9d>;
				reg = <0x50>;
				status = "okay";
			};

			ext_buck_vmddr@61 {
				compatible = "mediatek,ext_buck_vmddr";
				phandle = <0x9e>;
				reg = <0x61>;
				status = "okay";
			};

			i2c_lcd_bias@3e {
				compatible = "mediatek,i2c_lcd_bias";
				phandle = <0x9c>;
				reg = <0x3e>;
				status = "okay";
			};
		};
	};

	fragment@53 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			nfc@08 {
				compatible = "mediatek,nfc";
				phandle = <0xa0>;
				reg = <0x8>;
				status = "okay";
			};

			strobe_main@63 {
				compatible = "mediatek,strobe_main";
				phandle = <0x9f>;
				reg = <0x63>;
				status = "okay";
			};
		};
	};

	fragment@54 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_sub@1a {
				compatible = "mediatek,camera_sub";
				phandle = <0xa1>;
				reg = <0x1a>;
				status = "okay";
			};

			camera_sub_eeprom@51 {
				compatible = "mediatek,camera_sub_eeprom";
				phandle = <0xa2>;
				reg = <0x51>;
				status = "okay";
			};
		};
	};

	fragment@55 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main_three_af@0c {
				compatible = "mediatek,camera_main_three_af";
				phandle = <0xa5>;
				reg = <0xc>;
				status = "okay";
			};

			camera_sub_two@10 {
				compatible = "mediatek,camera_sub_two";
				phandle = <0xa3>;
				reg = <0x10>;
				status = "okay";
			};

			camera_sub_two_eeprom@51 {
				compatible = "mediatek,camera_sub_two_eeprom";
				phandle = <0xa4>;
				reg = <0x51>;
				status = "okay";
			};
		};
	};

	fragment@56 {
		target = <0xffffffff>;

		__overlay__ {
			GPIO_SIM1_HOT_PLUG = <0xffffffff 0x2b 0x0>;
			GPIO_SIM1_SCLK = <0xffffffff 0x32 0x0>;
			GPIO_SIM1_SIO = <0xffffffff 0x30 0x0>;
			GPIO_SIM1_SRST = <0xffffffff 0x31 0x0>;
			GPIO_SIM2_SCLK = <0xffffffff 0x2d 0x0>;
			GPIO_SIM2_SIO = <0xffffffff 0x2f 0x0>;
			GPIO_SIM2_SRST = <0xffffffff 0x2e 0x0>;
		};
	};

	fragment@57 {
		target = <0xffffffff>;

		__overlay__ {
			gpio_init_default = <0x0 0x0 0x0 0x0 0x1 0x1 0x1 0x1 0x0 0x0 0x0 0x1 0x0 0x1 0x2 0x0 0x0 0x0 0x1 0x0 0x1 0x3 0x0 0x0 0x0 0x1 0x0 0x1 0x4 0x0 0x0 0x0 0x1 0x1 0x1 0x5 0x0 0x1 0x0 0x1 0x0 0x1 0x6 0x0 0x1 0x0 0x1 0x0 0x1 0x7 0x0 0x1 0x0 0x1 0x0 0x1 0x8 0x0 0x1 0x0 0x1 0x0 0x1 0x9 0x0 0x1 0x0 0x1 0x0 0x1 0xa 0x0 0x0 0x0 0x1 0x1 0x1 0xb 0x0 0x0 0x0 0x1 0x0 0x0 0xc 0x0 0x0 0x0 0x1 0x1 0x0 0xd 0x0 0x1 0x0 0x1 0x0 0x0 0xe 0x0 0x1 0x0 0x1 0x0 0x0 0xf 0x0 0x0 0x0 0x1 0x0 0x0 0x10 0x0 0x0 0x0 0x1 0x0 0x0 0x11 0x1 0x0 0x0 0x1 0x0 0x0 0x12 0x0 0x1 0x1 0x1 0x0 0x1 0x13 0x0 0x1 0x0 0x1 0x0 0x1 0x14 0x0 0x1 0x0 0x1 0x0 0x1 0x15 0x0 0x0 0x0 0x1 0x0 0x1 0x16 0x0 0x0 0x0 0x1 0x0 0x1 0x17 0x0 0x1 0x0 0x0 0x0 0x0 0x18 0x0 0x0 0x0 0x1 0x1 0x1 0x19 0x0 0x0 0x0 0x1 0x1 0x1 0x1a 0x0 0x1 0x0 0x1 0x0 0x1 0x1b 0x0 0x1 0x1 0x1 0x0 0x1 0x1c 0x0 0x1 0x1 0x0 0x0 0x1 0x1d 0x0 0x1 0x0 0x1 0x0 0x1 0x1e 0x0 0x1 0x0 0x1 0x0 0x1 0x1f 0x0 0x1 0x0 0x1 0x0 0x1 0x20 0x0 0x0 0x0 0x0 0x0 0x1 0x21 0x1 0x0 0x0 0x0 0x0 0x1 0x22 0x1 0x0 0x0 0x1 0x0 0x1 0x23 0x1 0x0 0x0 0x0 0x0 0x1 0x24 0x0 0x1 0x0 0x1 0x0 0x0 0x25 0x0 0x1 0x0 0x1 0x0 0x0 0x26 0x4 0x0 0x0 0x1 0x1 0x0 0x27 0x0 0x1 0x0 0x1 0x0 0x0 0x28 0x1 0x0 0x0 0x0 0x0 0x0 0x29 0x1 0x0 0x0 0x1 0x0 0x1 0x2a 0x0 0x1 0x0 0x1 0x0 0x1 0x2b 0x1 0x0 0x0 0x1 0x1 0x1 0x2c 0x0 0x0 0x0 0x1 0x0 0x0 0x2d 0x1 0x0 0x0 0x0 0x0 0x1 0x2e 0x1 0x0 0x0 0x0 0x0 0x1 0x2f 0x1 0x0 0x0 0x1 0x1 0x1 0x30 0x1 0x0 0x0 0x1 0x1 0x1 0x31 0x1 0x0 0x0 0x0 0x0 0x1 0x32 0x1 0x0 0x0 0x0 0x0 0x1 0x33 0x1 0x0 0x0 0x0 0x0 0x1 0x34 0x1 0x0 0x0 0x1 0x1 0x1 0x35 0x1 0x0 0x0 0x1 0x1 0x1 0x36 0x1 0x0 0x0 0x1 0x1 0x1 0x37 0x1 0x0 0x0 0x1 0x1 0x1 0x38 0x1 0x0 0x0 0x1 0x1 0x1 0x39 0x1 0x0 0x0 0x1 0x0 0x0 0x3a 0x1 0x0 0x0 0x1 0x0 0x0 0x3b 0x1 0x0 0x0 0x1 0x0 0x1 0x3c 0x1 0x0 0x0 0x1 0x0 0x1 0x3d 0x1 0x0 0x0 0x1 0x0 0x0 0x3e 0x1 0x0 0x0 0x1 0x0 0x1 0x3f 0x1 0x0 0x0 0x1 0x0 0x0 0x40 0x1 0x0 0x0 0x1 0x0 0x0 0x41 0x1 0x0 0x0 0x1 0x0 0x0 0x42 0x1 0x0 0x0 0x1 0x0 0x0 0x43 0x0 0x0 0x0 0x1 0x0 0x0 0x44 0x0 0x0 0x0 0x1 0x0 0x0 0x45 0x1 0x0 0x0 0x1 0x0 0x0 0x46 0x0 0x0 0x0 0x1 0x0 0x0 0x47 0x0 0x0 0x0 0x1 0x0 0x0 0x48 0x0 0x0 0x0 0x1 0x0 0x0 0x49 0x0 0x0 0x0 0x1 0x0 0x0 0x4a 0x0 0x0 0x0 0x1 0x0 0x0 0x4b 0x1 0x0 0x0 0x1 0x0 0x0 0x4c 0x0 0x0 0x0 0x1 0x0 0x0 0x4d 0x0 0x0 0x0 0x1 0x0 0x0 0x4e 0x0 0x0 0x0 0x1 0x0 0x0 0x4f 0x0 0x0 0x0 0x1 0x0 0x0 0x50 0x0 0x0 0x0 0x1 0x0 0x0 0x51 0x0 0x0 0x0 0x1 0x0 0x0 0x52 0x1 0x0 0x0 0x1 0x0 0x0 0x53 0x1 0x0 0x0 0x1 0x0 0x0 0x54 0x1 0x0 0x0 0x1 0x0 0x0 0x55 0x1 0x0 0x0 0x1 0x0 0x0 0x56 0x1 0x0 0x0 0x1 0x0 0x0 0x57 0x1 0x0 0x0 0x1 0x0 0x0 0x58 0x1 0x0 0x0 0x1 0x0 0x0 0x59 0x1 0x0 0x0 0x0 0x0 0x1 0x5a 0x1 0x0 0x0 0x0 0x0 0x1 0x5c 0x1 0x0 0x0 0x1 0x1 0x0 0x5d 0x1 0x0 0x0 0x0 0x0 0x0 0x5e 0x0 0x1 0x0 0x1 0x0 0x0 0x5f 0x0 0x1 0x0 0x1 0x0 0x0 0x60 0x7 0x0 0x0 0x1 0x0 0x0 0x61 0x7 0x0 0x0 0x1 0x0 0x0 0x62 0x7 0x0 0x0 0x1 0x0 0x0 0x63 0x7 0x0 0x0 0x0 0x0 0x0 0x64 0x7 0x0 0x0 0x1 0x0 0x0 0x65 0x7 0x0 0x0 0x1 0x0 0x0 0x66 0x7 0x0 0x0 0x1 0x0 0x0 0x67 0x7 0x0 0x0 0x0 0x0 0x0 0x68 0x7 0x0 0x0 0x1 0x0 0x0 0x69 0x7 0x0 0x0 0x1 0x0 0x0 0x6a 0x7 0x0 0x0 0x1 0x0 0x0 0x6b 0x7 0x0 0x0 0x1 0x0 0x1 0x6c 0x7 0x0 0x0 0x1 0x0 0x0 0x6d 0x7 0x0 0x0 0x1 0x0 0x0 0x6e 0x0 0x1 0x0 0x1 0x0 0x0 0x6f 0x0 0x1 0x0 0x1 0x0 0x0 0x70 0x0 0x1 0x0 0x1 0x0 0x0 0x71 0x0 0x1 0x0 0x1 0x0 0x0 0x72 0x2 0x0 0x0 0x1 0x0 0x0 0x73 0x2 0x0 0x0 0x0 0x0 0x0 0x74 0x2 0x0 0x0 0x0 0x0 0x0 0x75 0x2 0x0 0x0 0x0 0x0 0x0 0x76 0x2 0x0 0x0 0x1 0x1 0x1 0x77 0x2 0x0 0x0 0x1 0x1 0x1 0x78 0x1 0x0 0x0 0x1 0x1 0x1 0x79 0x1 0x0 0x0 0x1 0x1 0x1 0x7a 0x1 0x0 0x0 0x1 0x1 0x1 0x7b 0x1 0x0 0x0 0x1 0x1 0x1 0x7c 0x1 0x0 0x0 0x1 0x1 0x1 0x7d 0x1 0x0 0x0 0x1 0x1 0x1 0x7e 0x5 0x0 0x0 0x1 0x1 0x1 0x7f 0x5 0x0 0x0 0x1 0x1 0x1 0x80 0x0 0x1 0x0 0x1 0x0 0x1 0x81 0x0 0x1 0x0 0x1 0x0 0x1 0x82 0x1 0x0 0x0 0x1 0x0 0x0 0x83 0x1 0x0 0x0 0x1 0x0 0x0 0x84 0x1 0x0 0x0 0x1 0x0 0x0 0x85 0x0 0x1 0x0 0x1 0x0 0x0 0x86 0x0 0x1 0x0 0x1 0x0 0x0 0x87 0x0 0x1 0x0 0x1 0x0 0x0 0x88 0x1 0x0 0x0 0x0 0x0 0x0 0x89 0x0 0x1 0x0 0x1 0x0 0x0 0x8a 0x0 0x1 0x0 0x1 0x0 0x0 0x8b 0x1 0x0 0x0 0x1 0x1 0x1 0x8c 0x1 0x0 0x0 0x1 0x1 0x1 0x8d 0x1 0x0 0x0 0x1 0x1 0x1 0x8e 0x1 0x0 0x0 0x1 0x1 0x1 0x8f 0x0 0x1 0x0 0x1 0x0 0x0 0x90 0x0 0x1 0x0 0x1 0x0 0x0 0x91 0x0 0x1 0x0 0x1 0x0 0x0 0x92 0x0 0x1 0x0 0x1 0x0 0x1 0x93 0x0 0x1 0x1 0x1 0x0 0x0 0x94 0x0 0x1 0x1 0x1 0x0 0x0 0x95 0x1 0x0 0x0 0x0 0x0 0x0 0x96 0x1 0x0 0x0 0x0 0x0 0x0 0x97 0x1 0x0 0x0 0x0 0x0 0x0 0x98 0x0 0x0 0x0 0x1 0x0 0x0 0x99 0x1 0x0 0x0 0x0 0x0 0x0 0x9a 0x1 0x0 0x0 0x1 0x1 0x0 0x9b 0x1 0x0 0x0 0x1 0x1 0x0 0x9c 0x1 0x0 0x0 0x0 0x0 0x0 0x9d 0x0 0x0 0x0 0x0 0x0 0x0 0x9e 0x1 0x0 0x0 0x1 0x0 0x0 0x9f 0x1 0x0 0x0 0x0 0x0 0x0 0xa0 0x1 0x0 0x0 0x1 0x1 0x1 0xa1 0x1 0x0 0x0 0x1 0x1 0x1 0xa2 0x0 0x1 0x0 0x1 0x0 0x1 0xa3 0x0 0x0 0x0 0x1 0x0 0x1 0xa4 0x0 0x0 0x0 0x1 0x0 0x1 0xa5 0x1 0x0 0x0 0x1 0x0 0x1 0xa6 0x1 0x0 0x0 0x1 0x0 0x1 0xa7 0x0 0x0 0x0 0x1 0x0 0x1 0xa8 0x6 0x0 0x0 0x1 0x1 0x1 0xa9 0x6 0x0 0x0 0x1 0x1 0x1 0xaa 0x6 0x0 0x0 0x1 0x1 0x1 0xab 0x6 0x0 0x0 0x1 0x1 0x1 0xac 0x0 0x0 0x0 0x1 0x0 0x0 0xad 0x0 0x0 0x0 0x1 0x0 0x0 0xae 0x0 0x0 0x0 0x1 0x0 0x0 0xaf 0x0 0x0 0x0 0x1 0x0 0x0 0xb0 0x0 0x0 0x0 0x1 0x0 0x0 0xb1 0x0 0x0 0x0 0x1 0x0 0x0 0xb2 0x0 0x0 0x0 0x1 0x0 0x0 0xb3 0x0 0x0 0x0 0x1 0x0 0x0 0xb4 0x0 0x0 0x0 0x1 0x0 0x0 0xb5 0x0 0x0 0x0 0x1 0x0 0x0 0xb6 0x0 0x0 0x0 0x1 0x0 0x0 0xc3 0x1 0x0 0x0 0x0 0x0 0x0 0xc4 0x1 0x0 0x0 0x0 0x0 0x1 0xc5 0x1 0x0 0x0 0x0 0x0 0x1 0xc6 0x1 0x0 0x0 0x0 0x0 0x1 0xc7 0x1 0x0 0x0 0x1 0x0 0x1 0xc8 0x1 0x0 0x0 0x1 0x1 0x1 0xc9 0x1 0x0 0x0 0x1 0x1 0x1 0xca 0x1 0x0 0x0 0x1 0x1 0x1 0xcb 0x1 0x0 0x0 0x1 0x1 0x1 0xcc 0x1 0x0 0x0 0x1 0x1 0x1 0xcd 0x1 0x0 0x0 0x1 0x1 0x1 0xce 0x1 0x0 0x0 0x0 0x0 0x0 0xcf 0x1 0x0 0x0 0x0 0x0 0x0 0xd0 0x1 0x0 0x0 0x0 0x0 0x0 0xd1 0x1 0x0 0x0 0x1 0x0 0x0 0xd2 0x1 0x0 0x0 0x0 0x0 0x0 0xd3 0x1 0x0 0x0 0x0 0x0 0x0 0xd4 0x1 0x0 0x0 0x0 0x0 0x0 0xd5 0x1 0x0 0x0 0x1 0x0 0x0 0xd6 0x1 0x0 0x0 0x0 0x0 0x1 0xd7 0x1 0x0 0x0 0x0 0x0 0x1 0xd8 0x1 0x0 0x0 0x0 0x0 0x1 0xd9 0x1 0x0 0x0 0x0 0x0 0x1 0xda 0x1 0x0 0x0 0x1 0x0 0x1 0xdb 0x1 0x0 0x0 0x1 0x0 0x1 0xdc 0x0 0x0 0x0 0x1 0x0 0x0 0xdd 0x0 0x0 0x0 0x1 0x0 0x0 0xde 0x0 0x0 0x0 0x1 0x0 0x0 0xdf 0x0 0x0 0x0 0x1 0x0 0x0 0xe0 0x0 0x0 0x0 0x1 0x0 0x0 0xe1 0x0 0x0 0x0 0x1 0x0 0x0 0xe2 0x0 0x0 0x0 0x1 0x0 0x0>;
		};
	};

	fragment@58 {
		target = <0xffffffff>;

		__overlay__ {
			deb-gpios = <0xffffffff 0x0 0x0>;
			debounce = <0x7d000>;
			interrupt-parent = <0xffffffff>;
			interrupts = <0x0 0x8 0x0 0x0>;
			status = "okay";
		};
	};

	fragment@59 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x15 0x2 0x15 0x0>;
			status = "okay";
		};
	};

	fragment@6 {
		target = <0xffffffff>;

		__overlay__ {

			lcm_avdd0_gpio {
				phandle = <0x87>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1d00>;
				};
			};

			lcm_avdd1_gpio {
				phandle = <0x86>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1d00>;
				};
			};

			lcm_dsi_te {
				phandle = <0x29>;

				pins_cmd_dat {
					pinmux = <0x2901>;
				};
			};

			lcm_dvdd0_gpio {
				phandle = <0x26>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1300>;
				};
			};

			lcm_dvdd1_gpio {
				phandle = <0x25>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1300>;
				};
			};

			lcm_rst_out0_gpio {
				phandle = <0x28>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x2a00>;
					slew-rate = <0x1>;
				};
			};

			lcm_rst_out1_gpio {
				phandle = <0x27>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x2a00>;
					slew-rate = <0x1>;
				};
			};

			lcm_vci0_gpio {
				phandle = <0x24>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x2500>;
				};
			};

			lcm_vci1_gpio {
				phandle = <0x23>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x2500>;
				};
			};

			lcm_vddi0_gpio {
				phandle = <0x22>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9300>;
				};
			};

			lcm_vddi1_gpio {
				phandle = <0x21>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9300>;
				};
			};
		};
	};

	fragment@60 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x18 0x2 0x18 0x0>;
			status = "okay";
		};
	};

	fragment@61 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x19 0x2 0x19 0x0>;
			status = "okay";
		};
	};

	fragment@62 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x1f 0x8 0x1f 0x0>;
			status = "okay";
		};
	};

	fragment@63 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x29 0x1 0x29 0x1>;
			status = "okay";
		};
	};

	fragment@64 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,md1_sim1_hot_plug_eint-eint";
			debounce = <0x0 0x2710>;
			dedicated = <0x0 0x0>;
			interrupts = <0x0 0x8>;
			sockettype = <0x0 0x0>;
			src_pin = <0x0 0x1>;
			status = "okay";
		};
	};

	fragment@65 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcamio";
			status = "okay";
		};
	};

	fragment@66 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vtp";
			status = "okay";
		};
	};

	fragment@67 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
			vcamaf-supply = <0xffffffff>;
			vcamaf_main2-supply = <0xffffffff>;
			vcamio-supply = <0xffffffff>;
			vcamio_main2-supply = <0xffffffff>;
			vcamio_sub-supply = <0xffffffff>;
		};
	};

	fragment@68 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
			vtouch-supply = <0xffffffff>;
		};
	};

	fragment@69 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,kpd-hw-dl-key0 = <0x0>;
			mediatek,kpd-hw-dl-key1 = <0x1>;
			mediatek,kpd-hw-dl-key2 = <0x8>;
			mediatek,kpd-hw-factory-key = <0x1>;
			mediatek,kpd-hw-init-map = <0x73 0x72 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			mediatek,kpd-hw-map-num = <0x48>;
			mediatek,kpd-hw-pwrkey = <0x8>;
			mediatek,kpd-hw-recovery-key = <0x0>;
			mediatek,kpd-key-debounce = <0x400>;
			mediatek,kpd-pwkey-gpio-din = <0x0>;
			mediatek,kpd-pwrkey-eint-gpio = <0x0>;
			mediatek,kpd-sw-pwrkey = <0x74>;
			mediatek,kpd-use-extend-type = <0x0>;
			status = "okay";
		};
	};

	fragment@7 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x21>;
			pinctrl-1 = <0x22>;
			pinctrl-2 = <0x23>;
			pinctrl-3 = <0x24>;
			pinctrl-4 = <0x25>;
			pinctrl-5 = <0x26>;
			pinctrl-6 = <0x27>;
			pinctrl-7 = <0x28>;
			pinctrl-8 = <0x29>;
			pinctrl-names = "lcm_vddi1_gpio", "lcm_vddi0_gpio", "lcm_vci1_gpio", "lcm_vci0_gpio", "lcm_dvdd1_gpio", "lcm_dvdd0_gpio", "lcm_avdd1_gpio", "lcm_avdd0_gpio", "lcm_rst_out1_gpio", "lcm_rst_out0_gpio", "mode_te_te";
			status = "okay";
		};
	};

	fragment@70 {
		target = <0xffffffff>;

		__overlay__ {

			mtk_pe50 {
				allow_not_check_ta_status;
				chg_time_max = <0x4650>;
				cv_reduce_step = <0x3>;
				dv2_ab_dev = <0x0 0x0 0x0 0x0 0x0 0x0>;
				dv2_ffc_ibat = <0xfa0 0xcb2 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high = <0x9c4 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_ext1 = <0x9c4 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_ext1_lt = <0x9c4 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_ext2 = <0x9c4 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_ext2_lt = <0x9c4 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_lt = <0x9c4 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_low = <0xfa0 0xfa0 0xfa0 0xfa0>;
				dv2_ffc_ibat_low_lt = <0xfa0 0xfa0 0xfa0 0xfa0>;
				dv2_ffc_ibat_mid = <0xcb2 0xcb2 0xcb2 0xcb2>;
				dv2_ffc_ibat_mid_lt = <0xcb2 0xcb2 0xcb2 0xcb2>;
				dv2_ffc_vbat = <0x109a 0x1130 0x119e 0x119e 0x119e>;
				dv2_ffc_vbat_high = <0x119e 0x119e 0x119e 0x119e>;
				dv2_ffc_vbat_high_ext1 = <0x119e 0x119e 0x119e 0x119e>;
				dv2_ffc_vbat_high_ext1_lt = <0x119e 0x119e 0x119e 0x119e>;
				dv2_ffc_vbat_high_ext2 = <0x119e 0x119e 0x119e 0x119e>;
				dv2_ffc_vbat_high_ext2_lt = <0x119e 0x119e 0x119e 0x119e>;
				dv2_ffc_vbat_high_lt = <0x119e 0x119e 0x119e 0x119e>;
				dv2_ffc_vbat_low = <0x109a 0x109a 0x109a 0x109a>;
				dv2_ffc_vbat_low_lt = <0x109a 0x109a 0x109a 0x109a>;
				dv2_ffc_vbat_mid = <0x1130 0x1130 0x1130 0x1130>;
				dv2_ffc_vbat_mid_lt = <0x1130 0x1130 0x1130 0x1130>;
				force_ta_cv_vbat = <0x1130>;
				game_limit_ita = <0x5dc>;
				ibat_max = <0x2008>;
				idvchg_pps_term = <0x4b0>;
				idvchg_ss_init = <0x4b0>;
				idvchg_ss_step = <0xfa>;
				idvchg_ss_step1 = <0x64>;
				idvchg_ss_step1_vbat = <0xfa0>;
				idvchg_ss_step2 = <0x32>;
				idvchg_ss_step2_vbat = <0x1068>;
				idvchg_ss_vta_step1 = <0xc8>;
				idvchg_ss_vta_step2 = <0xc8>;
				idvchg_step = <0x32>;
				idvchg_term = <0x258>;
				ifod_threshold = <0xc8>;
				ircmp_rbat = <0x5>;
				ircmp_vclamp = <0xa>;
				ita_cap_min = <0x3e8>;
				ita_level = <0xfa0 0x8ca 0x7d0 0x5dc>;
				lcd_on_ita = <0x708>;
				polling_interval = <0x2710>;
				project_power = <0x2d>;
				rcable_level = <0x12c 0x15e 0x1c2 0x258>;
				rechg_ab_h = <0x29 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
				rechg_ab_l = <0x11 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
				rsw_min = <0x14>;
				start_soc_max = <0x5a>;
				start_soc_min = <0x0>;
				start_vbat_max = <0x1144>;
				support_ta = "pca_ta_rfc", "pca_ta_pps";
				swchg_aicr = <0x0>;
				swchg_aicr_ss_init = <0x190>;
				swchg_aicr_ss_step = <0xc8>;
				swchg_ichg = <0x4b0>;
				swchg_off_vbat = <0x109a>;
				ta_blanking = <0x190>;
				ta_cv_ss_repeat_tmin = <0x19>;
				tbat_curlmt = <0xffffffff 0xffffffff 0xffffffff 0x1f4 0x0 0x3e8 0x7d0 0xbb8 0xffffffff>;
				tbat_level_def = <0xf 0xf 0xf 0xf 0x14 0x27 0x28 0x29 0x2d>;
				tbat_recovery_area = <0x3>;
				tdvchg_curlmt = <0xffffffff 0xffffffff 0xffffffff 0x12c 0x0 0x12c 0x258 0x384 0xffffffff>;
				tdvchg_level_def = <0x0 0x0 0x0 0x5 0x19 0x46 0x4b 0x50 0x55>;
				tdvchg_recovery_area = <0x3>;
				tpcb_curlmt = <0x0 0x0 0x0 0x0 0x0 0x5dc 0x9c4 0xbb8 0xffffffff>;
				tpcb_level_def = <0x0 0x0 0x0 0x0 0x19 0x28 0x29 0x2a 0x5a>;
				tswchg_curlmt = <0xffffffff 0xffffffff 0xffffffff 0xc8 0x0 0xc8 0x12c 0x190 0xffffffff>;
				tswchg_level_def = <0x0 0x0 0x0 0x5 0x19 0x41 0x46 0x4b 0x50>;
				tswchg_recovery_area = <0x3>;
				tta_curlmt = <0x0 0x0 0x0 0x0 0x0 0x12c 0x258 0x384 0xffffffff>;
				tta_level_def = <0x0 0x0 0x0 0x0 0x19 0x46 0x50 0x5a 0x5f>;
				tta_recovery_area = <0x3>;
				tusb_curlmt = <0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0xffffffff>;
				tusb_level_def = <0x0 0x0 0x0 0x0 0x19 0x41 0x46 0x50 0x5a>;
				vbat_cv = <0x119e>;
				vbus_max_ovp = <0x2af8>;
				vta_cap_max = <0x2904>;
				vta_cap_min = <0x1a90>;
			};
		};
	};

	fragment@71 {
		target = <0xffffffff>;

		__overlay__ {

			pca_pps_ta {
				compatible = "richtek,pca_pps_ta";
				status = "okay";
			};
		};
	};

	fragment@72 {
		target = <0xffffffff>;

		__overlay__ {

			pca_pps_ta {
				compatible = "richtek,pca_pps_ta";
				status = "okay";
			};

			pca_rfc_ta {
				adapter_name = "rfc_adapter";
				compatible = "richtek,pca_rfc_ta";
				i2c_no_support_dma;
				ita_gap_cv_mode = <0xc8>;
				ita_gap_per_vstep = <0x14>;
				ita_step = <0x1e>;
				pwr_lmt;
				status = "okay";
				support_meas_cap;
				support_status;
				vta_step = <0x14>;
			};

			pd_adapter {
				adapter_name = "pd_adapter";
				compatible = "mediatek,pd_adapter";
				phandle = <0xa8>;
			};

			tran_battery {
				compatible = "tran,chg_fun";
				enable_pcb_tml;
				jeita_above_t4_chg_cur = <0x0>;
				jeita_above_t4_input_cur = <0xf4240>;
				jeita_below_t0_chg_cur = <0x0>;
				jeita_below_t0_input_cur = <0x16e360>;
				jeita_t0_to_t1_chg_cur = <0xf4240>;
				jeita_t0_to_t1_input_cur = <0x16e360>;
				jeita_t2_to_t3_chg_cur = <0x1e8480>;
				jeita_t2_to_t3_input_cur = <0x200b20>;
				jeita_t3_to_t4_chg_cur = <0x1e8480>;
				jeita_t3_to_t4_input_cur = <0x200b20>;
				pcb_cur_step_one = <0x1f4>;
				pcb_cur_step_two = <0x1f4>;
				pcb_min_chg_cur = <0xf4240>;
				pcb_temp_step_one = <0x9470>;
				pcb_temp_step_two = <0xa410>;
				phandle = <0xa6>;
				pinctrl-0 = <0x69>;
				pinctrl-1 = <0x6a>;
				pinctrl-2 = <0x6b>;
				pinctrl-3 = <0x6c>;
				pinctrl-4 = <0x6d>;
				pinctrl-5 = <0x6e>;
				pinctrl-names = "otg_gpio_init", "otg_gpio_low", "otg_gpio_high", "meta_gpio_init", "meta_gpio_low", "meta_gpio_high";
			};

			tran_battery_aging {
				battery_aging_module0 = <0x0>;
				battery_aging_module1 = <0x0>;
				battery_aging_module2 = <0x0>;
				battery_aging_module3 = <0x0>;
				compatible = "tran,chg_aging";
				phandle = <0xa7>;
			};

			usb_switch {
				compatible = "tran,usb_switch";
				phandle = <0xa9>;
				pinctrl-0 = <0x6f>;
				pinctrl-1 = <0x70>;
				pinctrl-2 = <0x71>;
				pinctrl-3 = <0x72>;
				pinctrl-4 = <0x73>;
				pinctrl-5 = <0x74>;
				pinctrl-6 = <0x75>;
				pinctrl-7 = <0x76>;
				pinctrl-names = "dv2_usb_switch_gpio_init1", "dv2_usb_switch_gpio_high1", "dv2_usb_switch_gpio_low1", "dv2_rfc_sda8", "dv2_rfc_scl8", "dv2_usb_switch_gpio_init2", "dv2_usb_switch_gpio_high2", "dv2_usb_switch_gpio_low2";
				rfc,scl8_gpio = <0xffffffff 0x7e 0x0>;
				rfc,sda8_gpio = <0xffffffff 0x7f 0x0>;
				status = "okay";
			};
		};
	};

	fragment@73 {
		target = <0xffffffff>;

		__overlay__ {
			clock-frequency = <0x186a0>;

			rfc_ta@1b {
				compatible = "richtek,rfc_ta";
				reg = <0x1b>;
				status = "okay";
			};
		};
	};

	fragment@74 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0x2191c0>;
			ac_charger_input_current = <0x1e8480>;
			algorithm_name = "SwitchCharging";
			apple_1_0a_charger_current = <0x9eb10>;
			apple_2_1a_charger_current = <0xc3500>;
			battery_cv = <0x445c00 0x445c00 0x445c00 0x445c00>;
			bif_cv_under_threshold2 = <0x445c00>;
			bif_threshold1 = <0x40d990>;
			bif_threshold2 = <0x419ce0>;
			cable_imp_threshold = <0x2bb>;
			charging_host_charger_current = <0x16e360>;
			chg1_ta_ac_charger_current = <0x16e360>;
			chg2_ta_ac_charger_current = <0x16e360>;
			comp_ir = <0x61a8>;
			comp_iv = <0xfa00>;
			compatible = "mediatek,charger";
			disable_pd_dual;
			dual_polling_ieoc = <0x6ddd0>;
			dv2_chg_cv = <0x44d130 0x44d130 0x44d130 0x44d130>;
			dv2_chg_eoc = <0xb71b0>;
			enable_hvdcp20;
			enable_ir_comp;
			enable_min_charge_temp;
			enable_pe_2;
			enable_pe_5;
			enable_pe_plus;
			enable_sw_jeita;
			enable_tc30;
			enable_type_c;
			high_temp_to_enter_pe40 = <0x27>;
			high_temp_to_leave_pe40 = <0x2e>;
			ibus_err = <0xe>;
			jeita_temp_above_t4_cv = <0x3f52f0 0x3f52f0 0x3f52f0 0x3f52f0>;
			jeita_temp_below_t0_cv = <0x445c00 0x445c00 0x445c00 0x445c00>;
			jeita_temp_t0_to_t1_cv = <0x445c00 0x445c00 0x445c00 0x445c00>;
			jeita_temp_t1_to_t2_cv = <0x445c00 0x445c00 0x445c00 0x445c00>;
			jeita_temp_t2_to_t3_cv = <0x445c00 0x445c00 0x445c00 0x445c00>;
			jeita_temp_t3_to_t4_cv = <0x3f52f0 0x3f52f0 0x3f52f0 0x3f52f0>;
			low_temp_to_enter_pe40 = <0x10>;
			low_temp_to_leave_pe40 = <0xa>;
			max_charge_temp = <0x35>;
			max_charge_temp_minus_x_degree = <0x34>;
			max_charger_voltage = <0x632ea0>;
			max_charging_time = <0x11940>;
			max_dmivr_charger_current = <0x155cc0>;
			min_charge_temp = <0x0>;
			min_charge_temp_plus_x_degree = <0x1>;
			min_charger_voltage = <0x4630c0>;
			min_charger_voltage_1 = <0x4630c0>;
			min_charger_voltage_2 = <0x401640>;
			multi_battery_cv;
			non_std_ac_charger_current = <0x124f80>;
			pd_ichg_level_threshold = <0xf4240>;
			pd_stop_battery_soc = <0x55>;
			pd_vbus_low_bound = <0x4c4b40>;
			pd_vbus_upper_bound = <0x895440>;
			pe20_ichg_level_threshold = <0xf4240>;
			pe40_dual_charger_chg1_current = <0x1e8480>;
			pe40_dual_charger_chg2_current = <0x1e8480>;
			pe40_dual_charger_input_current = <0x2dc6c0>;
			pe40_r_cable_1a_lower = <0x206>;
			pe40_r_cable_2a_lower = <0x17f>;
			pe40_r_cable_3a_lower = <0xf5>;
			pe40_single_charger_current = <0x2dc6c0>;
			pe40_single_charger_input_current = <0x2dc6c0>;
			pe40_stop_battery_soc = <0x50>;
			pe_ichg_level_threshold = <0xf4240>;
			power_path_support;
			r_bat_comp = <0x14>;
			slave_mivr_diff = <0x186a0>;
			ta_9v_support;
			ta_ac_12v_input_current = <0x30d400>;
			ta_ac_7v_input_current = <0x249f00>;
			ta_ac_9v_input_current = <0x200b20>;
			ta_ac_charger_current = <0x2dc6c0>;
			ta_start_battery_soc = <0x0>;
			ta_stop_battery_soc = <0x5a>;
			temp_neg_10_thres = <0x2>;
			temp_t0_thres = <0x1>;
			temp_t0_thres_plus_x_degree = <0x1>;
			temp_t1_thres = <0x1>;
			temp_t1_thres_plus_x_degree = <0x1>;
			temp_t2_thres = <0xf>;
			temp_t2_thres_plus_x_degree = <0x10>;
			temp_t3_thres = <0x2d>;
			temp_t3_thres_minus_x_degree = <0x2c>;
			temp_t4_thres = <0x37>;
			temp_t4_thres_minus_x_degree = <0x33>;
			usb_charger_current = <0x7a120>;
			usb_charger_current_configured = <0x7a120>;
			usb_charger_current_suspend = <0x0>;
			usb_charger_current_unconfigured = <0x11170>;
			v_comp_max = <0x4e20>;
			vbat_cable_imp_threshold = <0x3b8260>;
			vsys_watt = <0x4c4b40>;
		};
	};

	fragment@75 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0x16e360>;
			ac_charger_input_current = <0x16e360>;
			charging_host_charger_current = <0x16e360>;
			compatible = "mediatek,lk_charger";
			cur_threshold = <0x7a120>;
			enable_anime;
			enable_pd20_reset;
			enable_pe_plus;
			fast_charge_voltage = <0x2625a0>;
			max_charger_voltage = <0x632ea0>;
			non_std_ac_charger_current = <0x7a120>;
			pd_charger_current = <0x7a120>;
			power_path_support;
			ta_ac_charger_current = <0x2dc6c0>;
			temp_t1_threshold = <0x0>;
			temp_t2_threshold = <0xf>;
			temp_t3_threshold = <0x2d>;
			temp_t4_threshold = <0x32>;
			usb_charger_current = <0x7a120>;
		};
	};

	fragment@76 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,eye-rev6 = <0x1>;
			mediatek,eye-term = <0x3>;
			mediatek,eye-vrt = <0x7>;
			mediatek,host-eye-rev6 = <0x2>;
			mediatek,host-eye-term = <0x6>;
			mediatek,host-eye-vrt = <0x6>;
		};
	};

	fragment@77 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;

			rt9759_master@66 {
				compatible = "richtek,rt9759";
				reg = <0x66>;
				rm_name = "rt9759";
				rm_slave_addr = [65];
				rt9759,intr-gpios = <0xffffffff 0xc 0x0>;
				status = "okay";

				master {
					chg_name = "primary_divider_chg";
					ibat_rsense = <0x1>;
					ibatocp = <0x5d1420>;
					ibatocp_alm = <0x5b8d80>;
					ibatocp_alm_dis;
					ibatucp_alm = <0xf4240>;
					ibusocp = <0x501bd0>;
					ibusocp_alm = <0x3d0900>;
					ibusocp_alm_dis;
					tsbatadc_dis;
					tsbatotp_dis;
					tsbusadc_dis;
					tsbusotp_dis;
					vacovp = <0xa7d8c0>;
					vbatovp = <0x44aa20>;
					vbatovp_alm = <0x432380>;
					vbusovp = <0x989680>;
					vbusovp_alm = <0x895440>;
					wdt = <0x1c9c380>;
				};

				standalone {
					chg_name = "primary_divider_chg";
					ibat_rsense = <0x1>;
					ibatocp = <0x6c5660>;
					ibatocp_alm = <0x6acfc0>;
					ibatocp_alm_dis;
					ibatucp_alm = <0xf4240>;
					ibatucp_alm_dis;
					ibusocp = <0x501bd0>;
					ibusocp_alm = <0x3d0900>;
					ibusocp_alm_dis;
					tsbusadc_dis;
					tsbusotp_dis;
					vacovp = <0xa7d8c0>;
					vbatovp = <0x456d70>;
					vbatovp_alm = <0x43e6d0>;
					vbusovp = <0xa7d8c0>;
					vbusovp_alm = <0xa037a0>;
					wdt = <0x1c9c380>;
				};
			};
		};
	};

	fragment@8 {
		target = <0xffffffff>;

		__overlay__ {
			helper-value = <0x0 0x1 0x1 0x0 0x1 0x0 0x0 0x0 0x0 0x0 0x1 0x0 0x1 0x1 0x1 0x1 0x0 0x0 0x1 0x1 0x0 0x1 0x0 0x1 0x0 0x0 0x0 0x0 0x1 0x0 0x0 0x0 0x0 0x0 0x1 0x0 0x0 0x1 0x1 0x0 0x1 0x0>;
			pinctrl-0 = <0x21>;
			pinctrl-1 = <0x22>;
			pinctrl-2 = <0x23>;
			pinctrl-3 = <0x24>;
			pinctrl-4 = <0x25>;
			pinctrl-5 = <0x26>;
			pinctrl-6 = <0x27>;
			pinctrl-7 = <0x28>;
			pinctrl-8 = <0x29>;
			pinctrl-names = "lcm_vddi1_gpio", "lcm_vddi0_gpio", "lcm_vci1_gpio", "lcm_vci0_gpio", "lcm_dvdd1_gpio", "lcm_dvdd0_gpio", "lcm_avdd1_gpio", "lcm_avdd0_gpio", "lcm_rst_out1_gpio", "lcm_rst_out0_gpio", "mode_te_te";
			status = "okay";
		};
	};

	fragment@9 {
		target = <0xffffffff>;

		__overlay__ {
			accdet-mic-mode = <0x2>;
			accdet-mic-vol = <0x8>;
			accdet-plugout-debounce = <0x1>;
			eint_use_ext_res = <0x0>;
			headset-four-key-threshold = <0x0 0x3a 0x79 0xc0 0x190>;
			headset-mode-setting = <0x500 0x500 0x1 0x1f0 0x800 0x800 0x20 0x44 0x4 0x1 0x5 0x3 0x3 0x5 0xe>;
			headset-three-key-threshold = <0x0 0x50 0xdc 0x190>;
			headset-three-key-threshold-CDD = <0x0 0x79 0xc0 0x258>;
			status = "okay";
		};
	};
};
